Package org.eclipse.gef.dot.internal

# Class DotAttributes

java.lang.Object
org.eclipse.gef.dot.internal.DotAttributes

public class DotAttributes extends Object
The `DotAttributes` class contains all attributes which are supported by `DotImport` and `DotExport`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DotAttributes.Context`
Contexts by which attributes may be used.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`_NAME__GNE`
Specifies the name of a graph, node, or edge (not an attribute), as retrieved through the graph, node_id, as well as edge_stmt and edgeRHS grammar rules.
`static final String`
`_TYPE__G`
Specifies the graph type.
`static final String`
`ARROWHEAD__E`
The 'arrowhead' attribute, which is used by: `Edge`.
`static final String`
`ARROWSIZE__E`
The 'arrowsize' attribute, which is used by: `Edge`.
`static final String`
`ARROWTAIL__E`
The 'arrowtail' attribute, which is used by: `Edge`.
`static final String`
`BB__GC`
The 'bb' attribute, which is used by: `Graph`, Cluster.
`static final String`
`BGCOLOR__GC`
The 'bgcolor' attribute, which is used by: `Graph`, Cluster.
`static final String`
`CLUSTERRANK__G`
The 'clusterrank' attribute, which is used by: `Graph`.
`static final String`
`COLOR__CNE`
The 'color' attribute, which is used by: Cluster, `Node`, `Edge`.
`static final String`
`COLORSCHEME__GCNE`
The 'colorscheme' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`DIR__E`
The 'dir' attribute, which is used by: `Edge`.
`static final String`
`DISTORTION__N`
The 'distortion' attribute, which is used by: `Node`.
`static final String`
`EDGETOOLTIP__E`
The 'edgetooltip' attribute, which is used by: `Edge`.
`static final String`
`FILLCOLOR__CNE`
The 'fillcolor' attribute, which is used by: Cluster, `Node`, `Edge`.
`static final String`
`FIXEDSIZE__N`
The 'fixedsize' attribute, which is used by: `Node`.
`static final String`
`FONTCOLOR__GCNE`
The 'fontcolor' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`FONTNAME__GCNE`
The 'fontname' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`FONTSIZE__GCNE`
The 'fontsize' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`FORCELABELS__G`
The 'forcelabels' attribute, which is used by: `Graph`.
`static final String`
`HEAD_LP__E`
The 'headLp' attribute, which is used by: `Edge`.
`static final String`
`HEADLABEL__E`
The 'headlabel' attribute, which is used by: `Edge`.
`static final String`
`HEADPORT__E`
The 'headport' attribute, which is used by: `Edge`.
`static final String`
`HEADTOOLTIP__E`
The 'headtooltip' attribute, which is used by: `Edge`.
`static final String`
`HEIGHT__N`
The 'height' attribute, which is used by: `Node`.
`static final String`
`ID__GCNE`
The 'id' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`LABEL__GCNE`
The 'label' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`LABELFONTCOLOR__E`
The 'labelfontcolor' attribute, which is used by: `Edge`.
`static final String`
`LABELFONTNAME__E`
The 'labelfontname' attribute, which is used by: `Edge`.
`static final String`
`LABELFONTSIZE__E`
The 'labelfontsize' attribute, which is used by: `Edge`.
`static final String`
`LABELTOOLTIP__E`
The 'labeltooltip' attribute, which is used by: `Edge`.
`static final String`
`LAYOUT__G`
The 'layout' attribute, which is used by: `Graph`.
`static final String`
`LP__GCE`
The 'lp' attribute, which is used by: `Graph`, Cluster, `Edge`.
`static final String`
`NODESEP__G`
The 'nodesep' attribute, which is used by: `Graph`.
`static final String`
`OUTPUTORDER__G`
The 'outputorder' attribute, which is used by: `Graph`.
`static final String`
`PAGEDIR__G`
The 'pagedir' attribute, which is used by: `Graph`.
`static final String`
`PENWIDTH__CNE`
The 'penwidth' attribute, which is used by: Cluster, `Node`, `Edge`.
`static final String`
`POS__NE`
The 'pos' attribute, which is used by: `Node`, `Edge`.
`static final String`
`RANK__S`
The 'rank' attribute, which is used by: Subgraph.
`static final String`
`RANKDIR__G`
The 'rankdir' attribute, which is used by: `Graph`.
`static final String`
`SHAPE__N`
The 'shape' attribute, which is used by: `Node`.
`static final String`
`SIDES__N`
The 'sides' attribute, which is used by: `Node`.
`static final String`
`SKEW__N`
The 'skew' attribute, which is used by: `Node`.
`static final String`
`SPLINES__G`
The 'splines' attribute, which is used by: `Graph`.
`static final String`
`STYLE__GCNE`
The 'style' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.
`static final String`
`TAIL_LP__E`
The 'tailLp' attribute, which is used by: `Edge`.
`static final String`
`TAILLABEL__E`
The 'taillabel' attribute, which is used by: `Edge`.
`static final String`
`TAILPORT__E`
The 'tailport' attribute, which is used by: `Edge`.
`static final String`
`TAILTOOLTIP__E`
The 'tailtooltip' attribute, which is used by: `Edge`.
`static final String`
`TOOLTIP__CNE`
The 'tooltip' attribute, which is used by: Cluster, `Node`, `Edge`.
`static final String`
`WIDTH__N`
The 'width' attribute, which is used by: `Node`.
`static final String`
`XLABEL__NE`
The 'xlabel' attribute, which is used by: `Node`, `Edge`.
`static final String`
`XLP__NE`
The 'xlp' attribute, which is used by: `Node`, `Edge`.

## Constructor Summary

Constructors
Constructor
Description
`DotAttributes()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`_getName(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `_NAME__GNE` attribute of the given `Edge`.
`static String`
`_getName(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `_NAME__GNE` attribute of the given `Graph`.
`static String`
`_getName(org.eclipse.gef.graph.Node node)`
Returns the value of the `_NAME__GNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`_getNameRaw(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `_NAME__GNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`_getNameRaw(org.eclipse.gef.graph.Node node)`
Returns the value of the `_NAME__GNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.dot.GraphType`
`_getType(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `_TYPE__G` attribute of the given `Graph`.
`static void`
`_setName(org.eclipse.gef.graph.Graph graph, String name)`
Sets the `_NAME__GNE` attribute of the given `Graph` to the given name value.
`static void`
`_setName(org.eclipse.gef.graph.Node node, String name)`
Sets the `_NAME__GNE` attribute of the given `Node` to the given name value.
`static void`
`_setNameRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID name)`
Sets the `_NAME__GNE` attribute of the given `Graph` to the given name value.
`static void`
`_setNameRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID name)`
Sets the `_NAME__GNE` attribute of the given `Node` to the given name value.
`static void`
`_setType(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.dot.GraphType type)`
Sets the `_TYPE__G` attribute of the given `Graph` to the given type value.
`static String`
`getArrowhead(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `ARROWHEAD__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.arrowtype.ArrowType`
`getArrowheadParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `ARROWHEAD__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getArrowheadRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `ARROWHEAD__E` attribute of the given `Edge`.
`static String`
`getArrowsize(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `ARROWSIZE__E` attribute of the given `Edge`.
`static Double`
`getArrowsizeParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `ARROWSIZE__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getArrowsizeRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `ARROWSIZE__E` attribute of the given `Edge`.
`static String`
`getArrowtail(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `ARROWTAIL__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.arrowtype.ArrowType`
`getArrowtailParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `ARROWTAIL__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getArrowtailRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `ARROWTAIL__E` attribute of the given `Edge`.
`static String`
`getBb(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `BB__GC` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.rect.Rect`
`getBbParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `BB__GC` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getBbRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `BB__GC` attribute of the given `Graph`.
`static String`
`getBgcolor(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `BGCOLOR__GC` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.colorlist.ColorList`
`getBgcolorParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `BGCOLOR__GC` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getBgcolorRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `BGCOLOR__GC` attribute of the given `Graph`.
`static String`
`getClusterrank(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `CLUSTERRANK__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.clustermode.ClusterMode`
`getClusterrankParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `CLUSTERRANK__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getClusterrankRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `CLUSTERRANK__G` attribute of the given `Graph`.
`static String`
`getColor(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `COLOR__CNE` attribute of the given `Edge`.
`static String`
`getColor(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `COLOR__CNE` attribute of the given `Graph`.
`static String`
`getColor(org.eclipse.gef.graph.Node node)`
Returns the value of the `COLOR__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.colorlist.ColorList`
`getColorParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `COLOR__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getColorParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `COLOR__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getColorParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `COLOR__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getColorRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `COLOR__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getColorRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `COLOR__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getColorRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `COLOR__CNE` attribute of the given `Node`.
`static String`
`getColorscheme(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `COLORSCHEME__GCNE` attribute of the given `Edge`.
`static String`
`getColorscheme(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `COLORSCHEME__GCNE` attribute of the given `Graph`.
`static String`
`getColorscheme(org.eclipse.gef.graph.Node node)`
Returns the value of the `COLORSCHEME__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getColorschemeRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getColorschemeRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getColorschemeRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Node`.
`static DotAttributes.Context`
`getContext(org.eclipse.emf.ecore.EObject eObject)`
Determine the context in which the given `EObject` is used.
`static String`
`getDir(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `DIR__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.dir.DirType`
`getDirParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `DIR__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getDirRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `DIR__E` attribute of the given `Edge`.
`static String`
`getDistortion(org.eclipse.gef.graph.Node node)`
Returns the value of the `DISTORTION__N` attribute of the given `Node`.
`static Double`
`getDistortionParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `DISTORTION__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getDistortionRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `DISTORTION__N` attribute of the given `Node`.
`static String`
`getEdgetooltip(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `EDGETOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getEdgetooltipParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `EDGETOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getEdgetooltipRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `EDGETOOLTIP__E` attribute of the given `Edge`.
`static String`
`getFillcolor(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `FILLCOLOR__CNE` attribute of the given `Edge`.
`static String`
`getFillcolor(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `FILLCOLOR__CNE` attribute of the given `Graph`.
`static String`
`getFillcolor(org.eclipse.gef.graph.Node node)`
Returns the value of the `FILLCOLOR__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getFillcolorParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.colorlist.ColorList`
`getFillcolorParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.colorlist.ColorList`
`getFillcolorParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFillcolorRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFillcolorRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFillcolorRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Node`.
`static String`
`getFixedsize(org.eclipse.gef.graph.Node node)`
Returns the value of the `FIXEDSIZE__N` attribute of the given `Node`.
`static Boolean`
`getFixedsizeParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `FIXEDSIZE__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFixedsizeRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `FIXEDSIZE__N` attribute of the given `Node`.
`static String`
`getFontcolor(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.
`static String`
`getFontcolor(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.
`static String`
`getFontcolor(org.eclipse.gef.graph.Node node)`
Returns the value of the `FONTCOLOR__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getFontcolorParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getFontcolorParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getFontcolorParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontcolorRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontcolorRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontcolorRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Node`.
`static String`
`getFontname(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `FONTNAME__GCNE` attribute of the given `Edge`.
`static String`
`getFontname(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `FONTNAME__GCNE` attribute of the given `Graph`.
`static String`
`getFontname(org.eclipse.gef.graph.Node node)`
Returns the value of the `FONTNAME__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.fontname.FontName`
`getFontnameParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.fontname.FontName`
`getFontnameParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.fontname.FontName`
`getFontnameParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontnameRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `FONTNAME__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontnameRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `FONTNAME__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontnameRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `FONTNAME__GCNE` attribute of the given `Node`.
`static String`
`getFontsize(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `FONTSIZE__GCNE` attribute of the given `Edge`.
`static String`
`getFontsize(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `FONTSIZE__GCNE` attribute of the given `Graph`.
`static String`
`getFontsize(org.eclipse.gef.graph.Node node)`
Returns the value of the `FONTSIZE__GCNE` attribute of the given `Node`.
`static Double`
`getFontsizeParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Edge`.
`static Double`
`getFontsizeParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Graph`.
`static Double`
`getFontsizeParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontsizeRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontsizeRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getFontsizeRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Node`.
`static String`
`getForcelabels(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `FORCELABELS__G` attribute of the given `Graph`.
`static Boolean`
`getForcelabelsParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `FORCELABELS__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getForcelabelsRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `FORCELABELS__G` attribute of the given `Graph`.
`static String`
`getHeadlabel(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `HEADLABEL__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getHeadlabelRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `HEADLABEL__E` attribute of the given `Edge`.
`static String`
`getHeadLp(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `HEAD_LP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getHeadLpParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `HEAD_LP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getHeadLpRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `HEAD_LP__E` attribute of the given `Edge`.
`static String`
`getHeadport(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `HEADPORT__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.portpos.PortPos`
`getHeadportParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `HEADPORT__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getHeadportRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `HEADPORT__E` attribute of the given `Edge`.
`static String`
`getHeadtooltip(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `HEADTOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getHeadtooltipParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `HEADTOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getHeadtooltipRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `HEADTOOLTIP__E` attribute of the given `Edge`.
`static String`
`getHeight(org.eclipse.gef.graph.Node node)`
Returns the value of the `HEIGHT__N` attribute of the given `Node`.
`static Double`
`getHeightParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `HEIGHT__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getHeightRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `HEIGHT__N` attribute of the given `Node`.
`static String`
`getId(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `ID__GCNE` attribute of the given `Edge`.
`static String`
`getId(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `ID__GCNE` attribute of the given `Graph`.
`static String`
`getId(org.eclipse.gef.graph.Node node)`
Returns the value of the `ID__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getIdRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `ID__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getIdRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `ID__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getIdRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `ID__GCNE` attribute of the given `Node`.
`static String`
`getLabel(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `LABEL__GCNE` attribute of the given `Edge`.
`static String`
`getLabel(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `LABEL__GCNE` attribute of the given `Graph`.
`static String`
`getLabel(org.eclipse.gef.graph.Node node)`
Returns the value of the `LABEL__GCNE` attribute of the given `Node`.
`static String`
`getLabelfontcolor(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.color.Color`
`getLabelfontcolorParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabelfontcolorRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.
`static String`
`getLabelfontname(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `LABELFONTNAME__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.fontname.FontName`
`getLabelfontnameParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `LABELFONTNAME__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabelfontnameRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `LABELFONTNAME__E` attribute of the given `Edge`.
`static String`
`getLabelfontsize(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `LABELFONTSIZE__E` attribute of the given `Edge`.
`static Double`
`getLabelfontsizeParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `LABELFONTSIZE__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabelfontsizeRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `LABELFONTSIZE__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabelRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `LABEL__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabelRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `LABEL__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabelRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `LABEL__GCNE` attribute of the given `Node`.
`static String`
`getLabeltooltip(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `LABELTOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getLabeltooltipParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `LABELTOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLabeltooltipRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `LABELTOOLTIP__E` attribute of the given `Edge`.
`static String`
`getLayout(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `LAYOUT__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.layout.Layout`
`getLayoutParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `LAYOUT__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLayoutRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `LAYOUT__G` attribute of the given `Graph`.
`static String`
`getLp(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `LP__GCE` attribute of the given `Edge`.
`static String`
`getLp(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `LP__GCE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getLpParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `LP__GCE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getLpParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `LP__GCE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLpRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `LP__GCE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getLpRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `LP__GCE` attribute of the given `Graph`.
`static String`
`getNodesep(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `NODESEP__G` attribute of the given `Graph`.
`static Double`
`getNodesepParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `NODESEP__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getNodesepRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `NODESEP__G` attribute of the given `Graph`.
`static String`
`getOutputorder(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `OUTPUTORDER__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.outputmode.OutputMode`
`getOutputorderParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `OUTPUTORDER__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getOutputorderRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `OUTPUTORDER__G` attribute of the given `Graph`.
`static String`
`getPagedir(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `PAGEDIR__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.pagedir.Pagedir`
`getPagedirParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `PAGEDIR__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getPagedirRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `PAGEDIR__G` attribute of the given `Graph`.
`static String`
`getPenwidth(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `PENWIDTH__CNE` attribute of the given `Edge`.
`static String`
`getPenwidth(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `PENWIDTH__CNE` attribute of the given `Graph`.
`static String`
`getPenwidth(org.eclipse.gef.graph.Node node)`
Returns the value of the `PENWIDTH__CNE` attribute of the given `Node`.
`static Double`
`getPenwidthParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Edge`.
`static Double`
`getPenwidthParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Graph`.
`static Double`
`getPenwidthParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getPenwidthRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `PENWIDTH__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getPenwidthRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `PENWIDTH__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getPenwidthRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `PENWIDTH__CNE` attribute of the given `Node`.
`static String`
`getPos(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `POS__NE` attribute of the given `Edge`.
`static String`
`getPos(org.eclipse.gef.graph.Node node)`
Returns the value of the `POS__NE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.splinetype.SplineType`
`getPosParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `POS__NE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getPosParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `POS__NE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getPosRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `POS__NE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getPosRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `POS__NE` attribute of the given `Node`.
`static String`
`getRank(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `RANK__S` attribute of the given `Graph`.
`static String`
`getRankdir(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `RANKDIR__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.rankdir.Rankdir`
`getRankdirParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `RANKDIR__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getRankdirRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `RANKDIR__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.ranktype.RankType`
`getRankParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `RANK__S` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getRankRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `RANK__S` attribute of the given `Graph`.
`static String`
`getShape(org.eclipse.gef.graph.Node node)`
Returns the value of the `SHAPE__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.shape.Shape`
`getShapeParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `SHAPE__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getShapeRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `SHAPE__N` attribute of the given `Node`.
`static String`
`getSides(org.eclipse.gef.graph.Node node)`
Returns the value of the `SIDES__N` attribute of the given `Node`.
`static Integer`
`getSidesParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `SIDES__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getSidesRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `SIDES__N` attribute of the given `Node`.
`static String`
`getSkew(org.eclipse.gef.graph.Node node)`
Returns the value of the `SKEW__N` attribute of the given `Node`.
`static Double`
`getSkewParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `SKEW__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getSkewRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `SKEW__N` attribute of the given `Node`.
`static String`
`getSplines(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `SPLINES__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.splines.Splines`
`getSplinesParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `SPLINES__G` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getSplinesRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `SPLINES__G` attribute of the given `Graph`.
`static String`
`getStyle(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `STYLE__GCNE` attribute of the given `Edge`.
`static String`
`getStyle(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `STYLE__GCNE` attribute of the given `Graph`.
`static String`
`getStyle(org.eclipse.gef.graph.Node node)`
Returns the value of the `STYLE__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.style.Style`
`getStyleParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `STYLE__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.style.Style`
`getStyleParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `STYLE__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.style.Style`
`getStyleParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `STYLE__GCNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getStyleRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `STYLE__GCNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getStyleRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `STYLE__GCNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getStyleRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `STYLE__GCNE` attribute of the given `Node`.
`static String`
`getTaillabel(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `TAILLABEL__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTaillabelRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `TAILLABEL__E` attribute of the given `Edge`.
`static String`
`getTailLp(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `TAIL_LP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getTailLpParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `TAIL_LP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTailLpRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `TAIL_LP__E` attribute of the given `Edge`.
`static String`
`getTailport(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `TAILPORT__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.portpos.PortPos`
`getTailportParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `TAILPORT__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTailportRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `TAILPORT__E` attribute of the given `Edge`.
`static String`
`getTailtooltip(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `TAILTOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getTailtooltipParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `TAILTOOLTIP__E` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTailtooltipRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `TAILTOOLTIP__E` attribute of the given `Edge`.
`static String`
`getTooltip(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `TOOLTIP__CNE` attribute of the given `Edge`.
`static String`
`getTooltip(org.eclipse.gef.graph.Graph graph)`
Returns the value of the `TOOLTIP__CNE` attribute of the given `Graph`.
`static String`
`getTooltip(org.eclipse.gef.graph.Node node)`
Returns the value of the `TOOLTIP__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getTooltipParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getTooltipParsed(org.eclipse.gef.graph.Graph graph)`
Returns the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.escstring.EscString`
`getTooltipParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTooltipRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `TOOLTIP__CNE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTooltipRaw(org.eclipse.gef.graph.Graph graph)`
Returns the (raw) value of the `TOOLTIP__CNE` attribute of the given `Graph`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getTooltipRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `TOOLTIP__CNE` attribute of the given `Node`.
`static String`
`getWidth(org.eclipse.gef.graph.Node node)`
Returns the value of the `WIDTH__N` attribute of the given `Node`.
`static Double`
`getWidthParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `WIDTH__N` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getWidthRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `WIDTH__N` attribute of the given `Node`.
`static String`
`getXlabel(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `XLABEL__NE` attribute of the given `Edge`.
`static String`
`getXlabel(org.eclipse.gef.graph.Node node)`
Returns the value of the `XLABEL__NE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getXlabelRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `XLABEL__NE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getXlabelRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `XLABEL__NE` attribute of the given `Node`.
`static String`
`getXlp(org.eclipse.gef.graph.Edge edge)`
Returns the value of the `XLP__NE` attribute of the given `Edge`.
`static String`
`getXlp(org.eclipse.gef.graph.Node node)`
Returns the value of the `XLP__NE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getXlpParsed(org.eclipse.gef.graph.Edge edge)`
Returns the (parsed) value of the `XLP__NE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.point.Point`
`getXlpParsed(org.eclipse.gef.graph.Node node)`
Returns the (parsed) value of the `XLP__NE` attribute of the given `Node`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getXlpRaw(org.eclipse.gef.graph.Edge edge)`
Returns the (raw) value of the `XLP__NE` attribute of the given `Edge`.
`static org.eclipse.gef.dot.internal.language.terminals.ID`
`getXlpRaw(org.eclipse.gef.graph.Node node)`
Returns the (raw) value of the `XLP__NE` attribute of the given `Node`.
`static boolean`
`isCluster(org.eclipse.gef.graph.Node node)`
`static Object`
`parsed(org.eclipse.gef.dot.internal.language.dot.Attribute attr)`
`static Object`
`parsedAsAttribute(org.eclipse.gef.dot.internal.language.terminals.ID valueRaw, String attrName, DotAttributes.Context context)`
`static void`
`setArrowhead(org.eclipse.gef.graph.Edge edge, String arrowhead)`
Sets the value of the `ARROWHEAD__E` attribute of the given `Edge` to the given arrowhead value.
`static void`
`setArrowheadParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowhead)`
Sets the (parsed) value of the `ARROWHEAD__E` attribute of the given `Edge` to the given arrowhead value.
`static void`
`setArrowheadRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID arrowhead)`
Sets the (raw) value of the `ARROWHEAD__E` attribute of the given `Edge` to the given arrowhead value.
`static void`
`setArrowsize(org.eclipse.gef.graph.Edge edge, String arrowsize)`
Sets the value of the `ARROWSIZE__E` attribute of the given `Edge` to the given arrowsize value.
`static void`
`setArrowsizeParsed(org.eclipse.gef.graph.Edge edge, Double arrowsize)`
Sets the (parsed) value of the `ARROWSIZE__E` attribute of the given `Edge` to the given arrowsize value.
`static void`
`setArrowsizeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID arrowsize)`
Sets the (raw) value of the `ARROWSIZE__E` attribute of the given `Edge` to the given arrowsize value.
`static void`
`setArrowtail(org.eclipse.gef.graph.Edge edge, String arrowtail)`
Sets the value of the `ARROWTAIL__E` attribute of the given `Edge` to the given arrowtail value.
`static void`
`setArrowtailParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowtail)`
Sets the (parsed) value of the `ARROWTAIL__E` attribute of the given `Edge` to the given arrowtail value.
`static void`
`setArrowtailRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID arrowtail)`
Sets the (raw) value of the `ARROWTAIL__E` attribute of the given `Edge` to the given arrowtail value.
`static void`
`setBb(org.eclipse.gef.graph.Graph graph, String bb)`
Sets the value of the `BB__GC` attribute of the given `Graph` to the given bb value.
`static void`
`setBbParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.rect.Rect bb)`
Sets the (parsed) value of the `BB__GC` attribute of the given `Graph` to the given bb value.
`static void`
`setBbRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID bb)`
Sets the (raw) value of the `BB__GC` attribute of the given `Graph` to the given bb value.
`static void`
`setBgcolor(org.eclipse.gef.graph.Graph graph, String bgcolor)`
Sets the value of the `BGCOLOR__GC` attribute of the given `Graph` to the given bgcolor value.
`static void`
`setBgcolorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.colorlist.ColorList bgcolor)`
Sets the (parsed) value of the `BGCOLOR__GC` attribute of the given `Graph` to the given bgcolor value.
`static void`
`setBgcolorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID bgcolor)`
Sets the (raw) value of the `BGCOLOR__GC` attribute of the given `Graph` to the given bgcolor value.
`static void`
`setClusterrank(org.eclipse.gef.graph.Graph graph, String clusterrank)`
Sets the value of the `CLUSTERRANK__G` attribute of the given `Graph` to the given clusterrank value.
`static void`
`setClusterrankParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.clustermode.ClusterMode clusterrank)`
Sets the (parsed) value of the `CLUSTERRANK__G` attribute of the given `Graph` to the given clusterrank value.
`static void`
`setClusterrankRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID clusterrank)`
Sets the (raw) value of the `CLUSTERRANK__G` attribute of the given `Graph` to the given clusterrank value.
`static void`
`setColor(org.eclipse.gef.graph.Edge edge, String color)`
Sets the value of the `COLOR__CNE` attribute of the given `Edge` to the given color value.
`static void`
`setColor(org.eclipse.gef.graph.Graph graph, String color)`
Sets the value of the `COLOR__CNE` attribute of the given `Graph` to the given color value.
`static void`
`setColor(org.eclipse.gef.graph.Node node, String color)`
Sets the value of the `COLOR__CNE` attribute of the given `Node` to the given color value.
`static void`
`setColorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.colorlist.ColorList color)`
Sets the (parsed) value of the `COLOR__CNE` attribute of the given `Edge` to the given color value.
`static void`
`setColorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.color.Color color)`
Sets the (parsed) value of the `COLOR__CNE` attribute of the given `Graph` to the given color value.
`static void`
`setColorParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.color.Color color)`
Sets the (parsed) value of the `COLOR__CNE` attribute of the given `Node` to the given color value.
`static void`
`setColorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID color)`
Sets the (raw) value of the `COLOR__CNE` attribute of the given `Edge` to the given color value.
`static void`
`setColorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID color)`
Sets the (raw) value of the `COLOR__CNE` attribute of the given `Graph` to the given color value.
`static void`
`setColorRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID color)`
Sets the (raw) value of the `COLOR__CNE` attribute of the given `Node` to the given color value.
`static void`
`setColorscheme(org.eclipse.gef.graph.Edge edge, String colorscheme)`
Sets the value of the `COLORSCHEME__GCNE` attribute of the given `Edge` to the given colorscheme value.
`static void`
`setColorscheme(org.eclipse.gef.graph.Graph graph, String colorscheme)`
Sets the value of the `COLORSCHEME__GCNE` attribute of the given `Graph` to the given colorscheme value.
`static void`
`setColorscheme(org.eclipse.gef.graph.Node node, String colorscheme)`
Sets the value of the `COLORSCHEME__GCNE` attribute of the given `Node` to the given colorscheme value.
`static void`
`setColorschemeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID colorscheme)`
Sets the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Edge` to the given colorscheme value.
`static void`
`setColorschemeRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID colorscheme)`
Sets the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Graph` to the given colorscheme value.
`static void`
`setColorschemeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID colorscheme)`
Sets the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Node` to the given colorscheme value.
`static void`
`setDir(org.eclipse.gef.graph.Edge edge, String dir)`
Sets the value of the `DIR__E` attribute of the given `Edge` to the given dir value.
`static void`
`setDirParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.dir.DirType dir)`
Sets the (parsed) value of the `DIR__E` attribute of the given `Edge` to the given dir value.
`static void`
`setDirRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID dir)`
Sets the (raw) value of the `DIR__E` attribute of the given `Edge` to the given dir value.
`static void`
`setDistortion(org.eclipse.gef.graph.Node node, String distortion)`
Sets the value of the `DISTORTION__N` attribute of the given `Node` to the given distortion value.
`static void`
`setDistortionParsed(org.eclipse.gef.graph.Node node, Double distortion)`
Sets the (parsed) value of the `DISTORTION__N` attribute of the given `Node` to the given distortion value.
`static void`
`setDistortionRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID distortion)`
Sets the (raw) value of the `DISTORTION__N` attribute of the given `Node` to the given distortion value.
`static void`
`setEdgetooltip(org.eclipse.gef.graph.Edge edge, String edgetooltip)`
Sets the value of the `EDGETOOLTIP__E` attribute of the given `Edge` to the given edgetooltip value.
`static void`
`setEdgetooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString edgetooltip)`
Sets the (parsed) value of the `EDGETOOLTIP__E` attribute of the given `Edge` to the given edgetooltip value.
`static void`
`setEdgetooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID edgetooltip)`
Sets the (raw) value of the `EDGETOOLTIP__E` attribute of the given `Edge` to the given edgetooltip value.
`static void`
`setFillcolor(org.eclipse.gef.graph.Edge edge, String fillcolor)`
Sets the value of the `FILLCOLOR__CNE` attribute of the given `Edge` to the given fillcolor value.
`static void`
`setFillcolor(org.eclipse.gef.graph.Graph graph, String fillcolor)`
Sets the value of the `FILLCOLOR__CNE` attribute of the given `Graph` to the given fillcolor value.
`static void`
`setFillcolor(org.eclipse.gef.graph.Node node, String fillcolor)`
Sets the value of the `FILLCOLOR__CNE` attribute of the given `Node` to the given fillcolor value.
`static void`
`setFillcolorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.color.Color fillcolor)`
Sets the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Edge` to the given fillcolor value.
`static void`
`setFillcolorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolor)`
Sets the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Graph` to the given fillcolor value.
`static void`
`setFillcolorParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolor)`
Sets the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Node` to the given fillcolor value.
`static void`
`setFillcolorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fillcolor)`
Sets the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Edge` to the given fillcolor value.
`static void`
`setFillcolorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fillcolor)`
Sets the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Graph` to the given fillcolor value.
`static void`
`setFillcolorRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fillcolor)`
Sets the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Node` to the given fillcolor value.
`static void`
`setFixedsize(org.eclipse.gef.graph.Node node, String fixedsize)`
Sets the value of the `FIXEDSIZE__N` attribute of the given `Node` to the given fixedsize value.
`static void`
`setFixedsizeParsed(org.eclipse.gef.graph.Node node, Boolean fixedsize)`
Sets the (parsed) value of the `FIXEDSIZE__N` attribute of the given `Node` to the given fixedsize value.
`static void`
`setFixedsizeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fixedsize)`
Sets the (raw) value of the `FIXEDSIZE__N` attribute of the given `Node` to the given fixedsize value.
`static void`
`setFontcolor(org.eclipse.gef.graph.Edge edge, String fontcolor)`
Sets the value of the `FONTCOLOR__GCNE` attribute of the given `Edge` to the given fontcolor value.
`static void`
`setFontcolor(org.eclipse.gef.graph.Graph graph, String fontcolor)`
Sets the value of the `FONTCOLOR__GCNE` attribute of the given `Graph` to the given fontcolor value.
`static void`
`setFontcolor(org.eclipse.gef.graph.Node node, String fontcolor)`
Sets the value of the `FONTCOLOR__GCNE` attribute of the given `Node` to the given fontcolor value.
`static void`
`setFontcolorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.color.Color fontcolor)`
Sets the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Edge` to the given fontcolor value.
`static void`
`setFontcolorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.color.Color fontcolor)`
Sets the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Graph` to the given fontcolor value.
`static void`
`setFontcolorParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.color.Color fontcolor)`
Sets the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Node` to the given fontcolor value.
`static void`
`setFontcolorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fontcolor)`
Sets the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Edge` to the given fontcolor value.
`static void`
`setFontcolorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fontcolor)`
Sets the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Graph` to the given fontcolor value.
`static void`
`setFontcolorRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fontcolor)`
Sets the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Node` to the given fontcolor value.
`static void`
`setFontname(org.eclipse.gef.graph.Edge edge, String fontname)`
Sets the value of the `FONTNAME__GCNE` attribute of the given `Edge` to the given fontname value.
`static void`
`setFontname(org.eclipse.gef.graph.Graph graph, String fontname)`
Sets the value of the `FONTNAME__GCNE` attribute of the given `Graph` to the given fontname value.
`static void`
`setFontname(org.eclipse.gef.graph.Node node, String fontname)`
Sets the value of the `FONTNAME__GCNE` attribute of the given `Node` to the given fontname value.
`static void`
`setFontnameParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.fontname.FontName fontname)`
Sets the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Edge` to the given fontname value.
`static void`
`setFontnameParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.fontname.FontName fontname)`
Sets the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Graph` to the given fontname value.
`static void`
`setFontnameParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.fontname.FontName fontname)`
Sets the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Node` to the given fontname value.
`static void`
`setFontnameRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fontname)`
Sets the (raw) value of the `FONTNAME__GCNE` attribute of the given `Edge` to the given fontname value.
`static void`
`setFontnameRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fontname)`
Sets the (raw) value of the `FONTNAME__GCNE` attribute of the given `Graph` to the given fontname value.
`static void`
`setFontnameRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fontname)`
Sets the (raw) value of the `FONTNAME__GCNE` attribute of the given `Node` to the given fontname value.
`static void`
`setFontsize(org.eclipse.gef.graph.Edge edge, String fontsize)`
Sets the value of the `FONTSIZE__GCNE` attribute of the given `Edge` to the given fontsize value.
`static void`
`setFontsize(org.eclipse.gef.graph.Graph graph, String fontsize)`
Sets the value of the `FONTSIZE__GCNE` attribute of the given `Graph` to the given fontsize value.
`static void`
`setFontsize(org.eclipse.gef.graph.Node node, String fontsize)`
Sets the value of the `FONTSIZE__GCNE` attribute of the given `Node` to the given fontsize value.
`static void`
`setFontsizeParsed(org.eclipse.gef.graph.Edge edge, Double fontsize)`
Sets the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Edge` to the given fontsize value.
`static void`
`setFontsizeParsed(org.eclipse.gef.graph.Graph graph, Double fontsize)`
Sets the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Graph` to the given fontsize value.
`static void`
`setFontsizeParsed(org.eclipse.gef.graph.Node node, Double fontsize)`
Sets the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Node` to the given fontsize value.
`static void`
`setFontsizeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fontsize)`
Sets the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Edge` to the given fontsize value.
`static void`
`setFontsizeRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fontsize)`
Sets the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Graph` to the given fontsize value.
`static void`
`setFontsizeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fontsize)`
Sets the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Node` to the given fontsize value.
`static void`
`setForcelabels(org.eclipse.gef.graph.Graph graph, String forcelabels)`
Sets the value of the `FORCELABELS__G` attribute of the given `Graph` to the given forcelabels value.
`static void`
`setForcelabelsParsed(org.eclipse.gef.graph.Graph graph, Boolean forcelabels)`
Sets the (parsed) value of the `FORCELABELS__G` attribute of the given `Graph` to the given forcelabels value.
`static void`
`setForcelabelsRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID forcelabels)`
Sets the (raw) value of the `FORCELABELS__G` attribute of the given `Graph` to the given forcelabels value.
`static void`
`setHeadlabel(org.eclipse.gef.graph.Edge edge, String headlabel)`
Sets the value of the `HEADLABEL__E` attribute of the given `Edge` to the given headlabel value.
`static void`
`setHeadlabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headlabel)`
Sets the (raw) value of the `HEADLABEL__E` attribute of the given `Edge` to the given headlabel value.
`static void`
`setHeadLp(org.eclipse.gef.graph.Edge edge, String headLp)`
Sets the value of the `HEAD_LP__E` attribute of the given `Edge` to the given headLp value.
`static void`
`setHeadLpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point headLp)`
Sets the (parsed) value of the `HEAD_LP__E` attribute of the given `Edge` to the given headLp value.
`static void`
`setHeadLpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headLp)`
Sets the (raw) value of the `HEAD_LP__E` attribute of the given `Edge` to the given headLp value.
`static void`
`setHeadport(org.eclipse.gef.graph.Edge edge, String headport)`
Sets the value of the `HEADPORT__E` attribute of the given `Edge` to the given headport value.
`static void`
`setHeadportParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.portpos.PortPos headport)`
Sets the (parsed) value of the `HEADPORT__E` attribute of the given `Edge` to the given headport value.
`static void`
`setHeadportRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headport)`
Sets the (raw) value of the `HEADPORT__E` attribute of the given `Edge` to the given headport value.
`static void`
`setHeadtooltip(org.eclipse.gef.graph.Edge edge, String headtooltip)`
Sets the value of the `HEADTOOLTIP__E` attribute of the given `Edge` to the given headtooltip value.
`static void`
`setHeadtooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString headtooltip)`
Sets the (parsed) value of the `HEADTOOLTIP__E` attribute of the given `Edge` to the given headtooltip value.
`static void`
`setHeadtooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headtooltip)`
Sets the (raw) value of the `HEADTOOLTIP__E` attribute of the given `Edge` to the given headtooltip value.
`static void`
`setHeight(org.eclipse.gef.graph.Node node, String height)`
Sets the value of the `HEIGHT__N` attribute of the given `Node` to the given height value.
`static void`
`setHeightParsed(org.eclipse.gef.graph.Node node, Double height)`
Sets the (parsed) value of the `HEIGHT__N` attribute of the given `Node` to the given height value.
`static void`
`setHeightRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID height)`
Sets the (raw) value of the `HEIGHT__N` attribute of the given `Node` to the given height value.
`static void`
`setId(org.eclipse.gef.graph.Edge edge, String id)`
Sets the value of the `ID__GCNE` attribute of the given `Edge` to the given id value.
`static void`
`setId(org.eclipse.gef.graph.Graph graph, String id)`
Sets the value of the `ID__GCNE` attribute of the given `Graph` to the given id value.
`static void`
`setId(org.eclipse.gef.graph.Node node, String id)`
Sets the value of the `ID__GCNE` attribute of the given `Node` to the given id value.
`static void`
`setIdRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID id)`
Sets the (raw) value of the `ID__GCNE` attribute of the given `Edge` to the given id value.
`static void`
`setIdRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID id)`
Sets the (raw) value of the `ID__GCNE` attribute of the given `Graph` to the given id value.
`static void`
`setIdRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID id)`
Sets the (raw) value of the `ID__GCNE` attribute of the given `Node` to the given id value.
`static void`
`setLabel(org.eclipse.gef.graph.Edge edge, String label)`
Sets the value of the `LABEL__GCNE` attribute of the given `Edge` to the given label value.
`static void`
`setLabel(org.eclipse.gef.graph.Graph graph, String label)`
Sets the value of the `LABEL__GCNE` attribute of the given `Graph` to the given label value.
`static void`
`setLabel(org.eclipse.gef.graph.Node node, String label)`
Sets the value of the `LABEL__GCNE` attribute of the given `Node` to the given label value.
`static void`
`setLabelfontcolor(org.eclipse.gef.graph.Edge edge, String labelfontcolor)`
Sets the value of the `LABELFONTCOLOR__E` attribute of the given `Edge` to the given labelfontcolor value.
`static void`
`setLabelfontcolorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.color.Color labelfontcolor)`
Sets the (parsed) value of the `LABELFONTCOLOR__E` attribute of the given `Edge` to the given labelfontcolor value.
`static void`
`setLabelfontcolorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labelfontcolor)`
Sets the (raw) value of the `LABELFONTCOLOR__E` attribute of the given `Edge` to the given labelfontcolor value.
`static void`
`setLabelfontname(org.eclipse.gef.graph.Edge edge, String labelfontname)`
Sets the value of the `LABELFONTNAME__E` attribute of the given `Edge` to the given labelfontname value.
`static void`
`setLabelfontnameParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.fontname.FontName labelfontname)`
Sets the (parsed) value of the `LABELFONTNAME__E` attribute of the given `Edge` to the given labelfontname value.
`static void`
`setLabelfontnameRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labelfontname)`
Sets the (raw) value of the `LABELFONTNAME__E` attribute of the given `Edge` to the given labelfontname value.
`static void`
`setLabelfontsize(org.eclipse.gef.graph.Edge edge, String labelfontsize)`
Sets the value of the `LABELFONTSIZE__E` attribute of the given `Edge` to the given labelfontsize value.
`static void`
`setLabelfontsizeParsed(org.eclipse.gef.graph.Edge edge, Double labelfontsize)`
Sets the (parsed) value of the `LABELFONTSIZE__E` attribute of the given `Edge` to the given labelfontsize value.
`static void`
`setLabelfontsizeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labelfontsize)`
Sets the (raw) value of the `LABELFONTSIZE__E` attribute of the given `Edge` to the given labelfontsize value.
`static void`
`setLabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID label)`
Sets the (raw) value of the `LABEL__GCNE` attribute of the given `Edge` to the given label value.
`static void`
`setLabelRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID label)`
Sets the (raw) value of the `LABEL__GCNE` attribute of the given `Graph` to the given label value.
`static void`
`setLabelRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID label)`
Sets the (raw) value of the `LABEL__GCNE` attribute of the given `Node` to the given label value.
`static void`
`setLabeltooltip(org.eclipse.gef.graph.Edge edge, String labeltooltip)`
Sets the value of the `LABELTOOLTIP__E` attribute of the given `Edge` to the given labeltooltip value.
`static void`
`setLabeltooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString labeltooltip)`
Sets the (parsed) value of the `LABELTOOLTIP__E` attribute of the given `Edge` to the given labeltooltip value.
`static void`
`setLabeltooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labeltooltip)`
Sets the (raw) value of the `LABELTOOLTIP__E` attribute of the given `Edge` to the given labeltooltip value.
`static void`
`setLayout(org.eclipse.gef.graph.Graph graph, String layout)`
Sets the value of the `LAYOUT__G` attribute of the given `Graph` to the given layout value.
`static void`
`setLayoutParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.layout.Layout layout)`
Sets the (parsed) value of the `LAYOUT__G` attribute of the given `Graph` to the given layout value.
`static void`
`setLayoutRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID layout)`
Sets the (raw) value of the `LAYOUT__G` attribute of the given `Graph` to the given layout value.
`static void`
`setLp(org.eclipse.gef.graph.Edge edge, String lp)`
Sets the value of the `LP__GCE` attribute of the given `Edge` to the given lp value.
`static void`
`setLp(org.eclipse.gef.graph.Graph graph, String lp)`
Sets the value of the `LP__GCE` attribute of the given `Graph` to the given lp value.
`static void`
`setLpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point lp)`
Sets the (parsed) value of the `LP__GCE` attribute of the given `Edge` to the given lp value.
`static void`
`setLpParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.point.Point lp)`
Sets the (parsed) value of the `LP__GCE` attribute of the given `Graph` to the given lp value.
`static void`
`setLpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID lp)`
Sets the (raw) value of the `LP__GCE` attribute of the given `Edge` to the given lp value.
`static void`
`setLpRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID lp)`
Sets the (raw) value of the `LP__GCE` attribute of the given `Graph` to the given lp value.
`static void`
`setNodesep(org.eclipse.gef.graph.Graph graph, String nodesep)`
Sets the value of the `NODESEP__G` attribute of the given `Graph` to the given nodesep value.
`static void`
`setNodesepParsed(org.eclipse.gef.graph.Graph graph, Double nodesep)`
Sets the (parsed) value of the `NODESEP__G` attribute of the given `Graph` to the given nodesep value.
`static void`
`setNodesepRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID nodesep)`
Sets the (raw) value of the `NODESEP__G` attribute of the given `Graph` to the given nodesep value.
`static void`
`setOutputorder(org.eclipse.gef.graph.Graph graph, String outputorder)`
Sets the value of the `OUTPUTORDER__G` attribute of the given `Graph` to the given outputorder value.
`static void`
`setOutputorderParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.outputmode.OutputMode outputorder)`
Sets the (parsed) value of the `OUTPUTORDER__G` attribute of the given `Graph` to the given outputorder value.
`static void`
`setOutputorderRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID outputorder)`
Sets the (raw) value of the `OUTPUTORDER__G` attribute of the given `Graph` to the given outputorder value.
`static void`
`setPagedir(org.eclipse.gef.graph.Graph graph, String pagedir)`
Sets the value of the `PAGEDIR__G` attribute of the given `Graph` to the given pagedir value.
`static void`
`setPagedirParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.pagedir.Pagedir pagedir)`
Sets the (parsed) value of the `PAGEDIR__G` attribute of the given `Graph` to the given pagedir value.
`static void`
`setPagedirRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID pagedir)`
Sets the (raw) value of the `PAGEDIR__G` attribute of the given `Graph` to the given pagedir value.
`static void`
`setPenwidth(org.eclipse.gef.graph.Edge edge, String penwidth)`
Sets the value of the `PENWIDTH__CNE` attribute of the given `Edge` to the given penwidth value.
`static void`
`setPenwidth(org.eclipse.gef.graph.Graph graph, String penwidth)`
Sets the value of the `PENWIDTH__CNE` attribute of the given `Graph` to the given penwidth value.
`static void`
`setPenwidth(org.eclipse.gef.graph.Node node, String penwidth)`
Sets the value of the `PENWIDTH__CNE` attribute of the given `Node` to the given penwidth value.
`static void`
`setPenwidthParsed(org.eclipse.gef.graph.Edge edge, Double penwidth)`
Sets the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Edge` to the given penwidth value.
`static void`
`setPenwidthParsed(org.eclipse.gef.graph.Graph graph, Double penwidth)`
Sets the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Graph` to the given penwidth value.
`static void`
`setPenwidthParsed(org.eclipse.gef.graph.Node node, Double penwidth)`
Sets the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Node` to the given penwidth value.
`static void`
`setPenwidthRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID penwidth)`
Sets the (raw) value of the `PENWIDTH__CNE` attribute of the given `Edge` to the given penwidth value.
`static void`
`setPenwidthRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID penwidth)`
Sets the (raw) value of the `PENWIDTH__CNE` attribute of the given `Graph` to the given penwidth value.
`static void`
`setPenwidthRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID penwidth)`
Sets the (raw) value of the `PENWIDTH__CNE` attribute of the given `Node` to the given penwidth value.
`static void`
`setPos(org.eclipse.gef.graph.Edge edge, String pos)`
Sets the value of the `POS__NE` attribute of the given `Edge` to the given pos value.
`static void`
`setPos(org.eclipse.gef.graph.Node node, String pos)`
Sets the value of the `POS__NE` attribute of the given `Node` to the given pos value.
`static void`
`setPosParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.splinetype.SplineType pos)`
Sets the (parsed) value of the `POS__NE` attribute of the given `Edge` to the given pos value.
`static void`
`setPosParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.point.Point pos)`
Sets the (parsed) value of the `POS__NE` attribute of the given `Node` to the given pos value.
`static void`
`setPosRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID pos)`
Sets the (raw) value of the `POS__NE` attribute of the given `Edge` to the given pos value.
`static void`
`setPosRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID pos)`
Sets the (raw) value of the `POS__NE` attribute of the given `Node` to the given pos value.
`static void`
`setRank(org.eclipse.gef.graph.Graph graph, String rank)`
Sets the value of the `RANK__S` attribute of the given `Graph` to the given rank value.
`static void`
`setRankdir(org.eclipse.gef.graph.Graph graph, String rankdir)`
Sets the value of the `RANKDIR__G` attribute of the given `Graph` to the given rankdir value.
`static void`
`setRankdirParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.rankdir.Rankdir rankdir)`
Sets the (parsed) value of the `RANKDIR__G` attribute of the given `Graph` to the given rankdir value.
`static void`
`setRankdirRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID rankdir)`
Sets the (raw) value of the `RANKDIR__G` attribute of the given `Graph` to the given rankdir value.
`static void`
`setRankParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.ranktype.RankType rank)`
Sets the (parsed) value of the `RANK__S` attribute of the given `Graph` to the given rank value.
`static void`
`setRankRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID rank)`
Sets the (raw) value of the `RANK__S` attribute of the given `Graph` to the given rank value.
`static void`
`setShape(org.eclipse.gef.graph.Node node, String shape)`
Sets the value of the `SHAPE__N` attribute of the given `Node` to the given shape value.
`static void`
`setShapeParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.shape.Shape shape)`
Sets the (parsed) value of the `SHAPE__N` attribute of the given `Node` to the given shape value.
`static void`
`setShapeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID shape)`
Sets the (raw) value of the `SHAPE__N` attribute of the given `Node` to the given shape value.
`static void`
`setSides(org.eclipse.gef.graph.Node node, String sides)`
Sets the value of the `SIDES__N` attribute of the given `Node` to the given sides value.
`static void`
`setSidesParsed(org.eclipse.gef.graph.Node node, Integer sides)`
Sets the (parsed) value of the `SIDES__N` attribute of the given `Node` to the given sides value.
`static void`
`setSidesRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID sides)`
Sets the (raw) value of the `SIDES__N` attribute of the given `Node` to the given sides value.
`static void`
`setSkew(org.eclipse.gef.graph.Node node, String skew)`
Sets the value of the `SKEW__N` attribute of the given `Node` to the given skew value.
`static void`
`setSkewParsed(org.eclipse.gef.graph.Node node, Double skew)`
Sets the (parsed) value of the `SKEW__N` attribute of the given `Node` to the given skew value.
`static void`
`setSkewRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID skew)`
Sets the (raw) value of the `SKEW__N` attribute of the given `Node` to the given skew value.
`static void`
`setSplines(org.eclipse.gef.graph.Graph graph, String splines)`
Sets the value of the `SPLINES__G` attribute of the given `Graph` to the given splines value.
`static void`
`setSplinesParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.splines.Splines splines)`
Sets the (parsed) value of the `SPLINES__G` attribute of the given `Graph` to the given splines value.
`static void`
`setSplinesRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID splines)`
Sets the (raw) value of the `SPLINES__G` attribute of the given `Graph` to the given splines value.
`static void`
`setStyle(org.eclipse.gef.graph.Edge edge, String style)`
Sets the value of the `STYLE__GCNE` attribute of the given `Edge` to the given style value.
`static void`
`setStyle(org.eclipse.gef.graph.Graph graph, String style)`
Sets the value of the `STYLE__GCNE` attribute of the given `Graph` to the given style value.
`static void`
`setStyle(org.eclipse.gef.graph.Node node, String style)`
Sets the value of the `STYLE__GCNE` attribute of the given `Node` to the given style value.
`static void`
`setStyleParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.style.Style style)`
Sets the (parsed) value of the `STYLE__GCNE` attribute of the given `Edge` to the given style value.
`static void`
`setStyleParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.style.Style style)`
Sets the (parsed) value of the `STYLE__GCNE` attribute of the given `Graph` to the given style value.
`static void`
`setStyleParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.style.Style style)`
Sets the (parsed) value of the `STYLE__GCNE` attribute of the given `Node` to the given style value.
`static void`
`setStyleRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID style)`
Sets the (raw) value of the `STYLE__GCNE` attribute of the given `Edge` to the given style value.
`static void`
`setStyleRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID style)`
Sets the (raw) value of the `STYLE__GCNE` attribute of the given `Graph` to the given style value.
`static void`
`setStyleRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID style)`
Sets the (raw) value of the `STYLE__GCNE` attribute of the given `Node` to the given style value.
`static void`
`setTaillabel(org.eclipse.gef.graph.Edge edge, String taillabel)`
Sets the value of the `TAILLABEL__E` attribute of the given `Edge` to the given taillabel value.
`static void`
`setTaillabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID taillabel)`
Sets the (raw) value of the `TAILLABEL__E` attribute of the given `Edge` to the given taillabel value.
`static void`
`setTailLp(org.eclipse.gef.graph.Edge edge, String tailLp)`
Sets the value of the `TAIL_LP__E` attribute of the given `Edge` to the given tailLp value.
`static void`
`setTailLpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point tailLp)`
Sets the (parsed) value of the `TAIL_LP__E` attribute of the given `Edge` to the given tailLp value.
`static void`
`setTailLpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tailLp)`
Sets the (raw) value of the `TAIL_LP__E` attribute of the given `Edge` to the given tailLp value.
`static void`
`setTailport(org.eclipse.gef.graph.Edge edge, String tailport)`
Sets the value of the `TAILPORT__E` attribute of the given `Edge` to the given tailport value.
`static void`
`setTailportParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.portpos.PortPos tailport)`
Sets the (parsed) value of the `TAILPORT__E` attribute of the given `Edge` to the given tailport value.
`static void`
`setTailportRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tailport)`
Sets the (raw) value of the `TAILPORT__E` attribute of the given `Edge` to the given tailport value.
`static void`
`setTailtooltip(org.eclipse.gef.graph.Edge edge, String tailtooltip)`
Sets the value of the `TAILTOOLTIP__E` attribute of the given `Edge` to the given tailtooltip value.
`static void`
`setTailtooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString tailtooltip)`
Sets the (parsed) value of the `TAILTOOLTIP__E` attribute of the given `Edge` to the given tailtooltip value.
`static void`
`setTailtooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tailtooltip)`
Sets the (raw) value of the `TAILTOOLTIP__E` attribute of the given `Edge` to the given tailtooltip value.
`static void`
`setTooltip(org.eclipse.gef.graph.Edge edge, String tooltip)`
Sets the value of the `TOOLTIP__CNE` attribute of the given `Edge` to the given tooltip value.
`static void`
`setTooltip(org.eclipse.gef.graph.Graph graph, String tooltip)`
Sets the value of the `TOOLTIP__CNE` attribute of the given `Graph` to the given tooltip value.
`static void`
`setTooltip(org.eclipse.gef.graph.Node node, String tooltip)`
Sets the value of the `TOOLTIP__CNE` attribute of the given `Node` to the given tooltip value.
`static void`
`setTooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString tooltip)`
Sets the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Edge` to the given tooltip value.
`static void`
`setTooltipParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.escstring.EscString tooltip)`
Sets the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Graph` to the given tooltip value.
`static void`
`setTooltipParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.escstring.EscString tooltip)`
Sets the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Node` to the given tooltip value.
`static void`
`setTooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tooltip)`
Sets the (raw) value of the `TOOLTIP__CNE` attribute of the given `Edge` to the given tooltip value.
`static void`
`setTooltipRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID tooltip)`
Sets the (raw) value of the `TOOLTIP__CNE` attribute of the given `Graph` to the given tooltip value.
`static void`
`setTooltipRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID tooltip)`
Sets the (raw) value of the `TOOLTIP__CNE` attribute of the given `Node` to the given tooltip value.
`static void`
`setWidth(org.eclipse.gef.graph.Node node, String width)`
Sets the value of the `WIDTH__N` attribute of the given `Node` to the given width value.
`static void`
`setWidthParsed(org.eclipse.gef.graph.Node node, Double width)`
Sets the (parsed) value of the `WIDTH__N` attribute of the given `Node` to the given width value.
`static void`
`setWidthRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID width)`
Sets the (raw) value of the `WIDTH__N` attribute of the given `Node` to the given width value.
`static void`
`setXlabel(org.eclipse.gef.graph.Edge edge, String xlabel)`
Sets the value of the `XLABEL__NE` attribute of the given `Edge` to the given xlabel value.
`static void`
`setXlabel(org.eclipse.gef.graph.Node node, String xlabel)`
Sets the value of the `XLABEL__NE` attribute of the given `Node` to the given xlabel value.
`static void`
`setXlabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID xlabel)`
Sets the (raw) value of the `XLABEL__NE` attribute of the given `Edge` to the given xlabel value.
`static void`
`setXlabelRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID xlabel)`
Sets the (raw) value of the `XLABEL__NE` attribute of the given `Node` to the given xlabel value.
`static void`
`setXlp(org.eclipse.gef.graph.Edge edge, String xlp)`
Sets the value of the `XLP__NE` attribute of the given `Edge` to the given xlp value.
`static void`
`setXlp(org.eclipse.gef.graph.Node node, String xlp)`
Sets the value of the `XLP__NE` attribute of the given `Node` to the given xlp value.
`static void`
`setXlpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point xlp)`
Sets the (parsed) value of the `XLP__NE` attribute of the given `Edge` to the given xlp value.
`static void`
`setXlpParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.point.Point xlp)`
Sets the (parsed) value of the `XLP__NE` attribute of the given `Node` to the given xlp value.
`static void`
`setXlpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID xlp)`
Sets the (raw) value of the `XLP__NE` attribute of the given `Edge` to the given xlp value.
`static void`
`setXlpRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID xlp)`
Sets the (raw) value of the `XLP__NE` attribute of the given `Node` to the given xlp value.
`static List<org.eclipse.emf.common.util.Diagnostic>`
`validateAttributeRawValue(DotAttributes.Context attributeContext, String attributeName, org.eclipse.gef.dot.internal.language.terminals.ID attributeValue)`
Validate the attribute determined via name and value syntactically and semantically.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _NAME__GNE

public static final String _NAME__GNE
Specifies the name of a graph, node, or edge (not an attribute), as retrieved through the graph, node_id, as well as edge_stmt and edgeRHS grammar rules.

See Also:
  - Constant Field Values

### _TYPE__G

public static final String _TYPE__G
Specifies the graph type.

See Also:
  - Constant Field Values

### ARROWHEAD__E

public static final String ARROWHEAD__E
The 'arrowhead' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### ARROWSIZE__E

public static final String ARROWSIZE__E
The 'arrowsize' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### ARROWTAIL__E

public static final String ARROWTAIL__E
The 'arrowtail' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### BB__GC

public static final String BB__GC
The 'bb' attribute, which is used by: `Graph`, Cluster.

See Also:
  - Constant Field Values

### BGCOLOR__GC

public static final String BGCOLOR__GC
The 'bgcolor' attribute, which is used by: `Graph`, Cluster.

See Also:
  - Constant Field Values

### CLUSTERRANK__G

public static final String CLUSTERRANK__G
The 'clusterrank' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### COLOR__CNE

public static final String COLOR__CNE
The 'color' attribute, which is used by: Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### COLORSCHEME__GCNE

public static final String COLORSCHEME__GCNE
The 'colorscheme' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### DIR__E

public static final String DIR__E
The 'dir' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### DISTORTION__N

public static final String DISTORTION__N
The 'distortion' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### EDGETOOLTIP__E

public static final String EDGETOOLTIP__E
The 'edgetooltip' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### FILLCOLOR__CNE

public static final String FILLCOLOR__CNE
The 'fillcolor' attribute, which is used by: Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### FIXEDSIZE__N

public static final String FIXEDSIZE__N
The 'fixedsize' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### FONTCOLOR__GCNE

public static final String FONTCOLOR__GCNE
The 'fontcolor' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### FONTNAME__GCNE

public static final String FONTNAME__GCNE
The 'fontname' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### FONTSIZE__GCNE

public static final String FONTSIZE__GCNE
The 'fontsize' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### FORCELABELS__G

public static final String FORCELABELS__G
The 'forcelabels' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### HEAD_LP__E

public static final String HEAD_LP__E
The 'headLp' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### HEADLABEL__E

public static final String HEADLABEL__E
The 'headlabel' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### HEADPORT__E

public static final String HEADPORT__E
The 'headport' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### HEADTOOLTIP__E

public static final String HEADTOOLTIP__E
The 'headtooltip' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### HEIGHT__N

public static final String HEIGHT__N
The 'height' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### ID__GCNE

public static final String ID__GCNE
The 'id' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### LABEL__GCNE

public static final String LABEL__GCNE
The 'label' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### LABELFONTCOLOR__E

public static final String LABELFONTCOLOR__E
The 'labelfontcolor' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### LABELFONTNAME__E

public static final String LABELFONTNAME__E
The 'labelfontname' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### LABELFONTSIZE__E

public static final String LABELFONTSIZE__E
The 'labelfontsize' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### LABELTOOLTIP__E

public static final String LABELTOOLTIP__E
The 'labeltooltip' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### LAYOUT__G

public static final String LAYOUT__G
The 'layout' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### LP__GCE

public static final String LP__GCE
The 'lp' attribute, which is used by: `Graph`, Cluster, `Edge`.

See Also:
  - Constant Field Values

### NODESEP__G

public static final String NODESEP__G
The 'nodesep' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### OUTPUTORDER__G

public static final String OUTPUTORDER__G
The 'outputorder' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### PAGEDIR__G

public static final String PAGEDIR__G
The 'pagedir' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### PENWIDTH__CNE

public static final String PENWIDTH__CNE
The 'penwidth' attribute, which is used by: Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### POS__NE

public static final String POS__NE
The 'pos' attribute, which is used by: `Node`, `Edge`.

See Also:
  - Constant Field Values

### RANK__S

public static final String RANK__S
The 'rank' attribute, which is used by: Subgraph.

See Also:
  - Constant Field Values

### RANKDIR__G

public static final String RANKDIR__G
The 'rankdir' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### SHAPE__N

public static final String SHAPE__N
The 'shape' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### SIDES__N

public static final String SIDES__N
The 'sides' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### SKEW__N

public static final String SKEW__N
The 'skew' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### SPLINES__G

public static final String SPLINES__G
The 'splines' attribute, which is used by: `Graph`.

See Also:
  - Constant Field Values

### STYLE__GCNE

public static final String STYLE__GCNE
The 'style' attribute, which is used by: `Graph`, Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### TAIL_LP__E

public static final String TAIL_LP__E
The 'tailLp' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### TAILLABEL__E

public static final String TAILLABEL__E
The 'taillabel' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### TAILPORT__E

public static final String TAILPORT__E
The 'tailport' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### TAILTOOLTIP__E

public static final String TAILTOOLTIP__E
The 'tailtooltip' attribute, which is used by: `Edge`.

See Also:
  - Constant Field Values

### TOOLTIP__CNE

public static final String TOOLTIP__CNE
The 'tooltip' attribute, which is used by: Cluster, `Node`, `Edge`.

See Also:
  - Constant Field Values

### WIDTH__N

public static final String WIDTH__N
The 'width' attribute, which is used by: `Node`.

See Also:
  - Constant Field Values

### XLABEL__NE

public static final String XLABEL__NE
The 'xlabel' attribute, which is used by: `Node`, `Edge`.

See Also:
  - Constant Field Values

### XLP__NE

public static final String XLP__NE
The 'xlp' attribute, which is used by: `Node`, `Edge`.

See Also:
  - Constant Field Values

## Constructor Details

### DotAttributes

public DotAttributes()

## Method Details

### isCluster

public static boolean isCluster(org.eclipse.gef.graph.Node node)

### getContext

public static DotAttributes.Context getContext(org.eclipse.emf.ecore.EObject eObject)
Determine the context in which the given `EObject` is used.

Parameters:
  `eObject` - The `EObject` for which the context is to be determined.
Returns:
  the context in which the given `EObject` is used.

### validateAttributeRawValue

public static List<org.eclipse.emf.common.util.Diagnostic> validateAttributeRawValue(DotAttributes.Context attributeContext, String attributeName, org.eclipse.gef.dot.internal.language.terminals.ID attributeValue)
Validate the attribute determined via name and value syntactically and semantically.

Parameters:
  `attributeContext` - The context element the attribute is related to.
  `attributeName` - The name of the attribute.
  `attributeValue` - The value of the attribute.
Returns:
  A list of `Diagnostic` objects representing the identified issues, or an empty list if no issues were found.

### _getNameRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID _getNameRaw(org.eclipse.gef.graph.Graph graph)
Returns the value of the `_NAME__GNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `_NAME__GNE` attribute.
Returns:
  The value of the `_NAME__GNE` attribute of the given `Graph`.

### _getName

public static String _getName(org.eclipse.gef.graph.Graph graph)
Returns the value of the `_NAME__GNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `_NAME__GNE` attribute.
Returns:
  The value of the `_NAME__GNE` attribute of the given `Graph`.

### _getNameRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID _getNameRaw(org.eclipse.gef.graph.Node node)
Returns the value of the `_NAME__GNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `_NAME__GNE` attribute.
Returns:
  The value of the `_NAME__GNE` attribute of the given `Node`.

### _getName

public static String _getName(org.eclipse.gef.graph.Node node)
Returns the value of the `_NAME__GNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `_NAME__GNE` attribute.
Returns:
  The value of the `_NAME__GNE` attribute of the given `Node`.

### _getType

public static org.eclipse.gef.dot.internal.language.dot.GraphType _getType(org.eclipse.gef.graph.Graph graph)
Returns the value of the `_TYPE__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `_TYPE__G` attribute.
Returns:
  The value of the `_TYPE__G` attribute of the given `Graph`.

### _setNameRaw

public static void _setNameRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID name)
Sets the `_NAME__GNE` attribute of the given `Graph` to the given name value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `_NAME__GNE` attribute.
  `name` - The new value for the `_NAME__GNE` attribute.

### _setName

public static void _setName(org.eclipse.gef.graph.Graph graph, String name)
Sets the `_NAME__GNE` attribute of the given `Graph` to the given name value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `_NAME__GNE` attribute.
  `name` - The new value for the `_NAME__GNE` attribute.

### _setNameRaw

public static void _setNameRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID name)
Sets the `_NAME__GNE` attribute of the given `Node` to the given name value.

Parameters:
  `node` - The `Node` for which to change the value of the `_NAME__GNE` attribute.
  `name` - The new value for the `_NAME__GNE` attribute.

### _setName

public static void _setName(org.eclipse.gef.graph.Node node, String name)
Sets the `_NAME__GNE` attribute of the given `Node` to the given name value.

Parameters:
  `node` - The `Node` for which to change the value of the `_NAME__GNE` attribute.
  `name` - The new value for the `_NAME__GNE` attribute.

### _getName

public static String _getName(org.eclipse.gef.graph.Edge edge)
Returns the value of the `_NAME__GNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `_NAME__GNE` attribute.
Returns:
  The value of the `_NAME__GNE` attribute of the given `Edge`.

### _setType

public static void _setType(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.dot.GraphType type)
Sets the `_TYPE__G` attribute of the given `Graph` to the given type value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `_TYPE__G` attribute.
  `type` - The new value for the `_TYPE__G` attribute.

### parsedAsAttribute

public static Object parsedAsAttribute(org.eclipse.gef.dot.internal.language.terminals.ID valueRaw, String attrName, DotAttributes.Context context)

### parsed

public static Object parsed(org.eclipse.gef.dot.internal.language.dot.Attribute attr)

### getArrowheadRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getArrowheadRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `ARROWHEAD__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWHEAD__E` attribute.
Returns:
  The (raw) value of the `ARROWHEAD__E` attribute of the given `Edge`.

### setArrowheadRaw

public static void setArrowheadRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID arrowhead)
Sets the (raw) value of the `ARROWHEAD__E` attribute of the given `Edge` to the given arrowhead value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWHEAD__E` attribute.
  `arrowhead` - The new (raw) value of the `ARROWHEAD__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowhead value is not supported.

### getArrowhead

public static String getArrowhead(org.eclipse.gef.graph.Edge edge)
Returns the value of the `ARROWHEAD__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWHEAD__E` attribute.
Returns:
  The value of the `ARROWHEAD__E` attribute of the given `Edge`.

### setArrowhead

public static void setArrowhead(org.eclipse.gef.graph.Edge edge, String arrowhead)
Sets the value of the `ARROWHEAD__E` attribute of the given `Edge` to the given arrowhead value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWHEAD__E` attribute.
  `arrowhead` - The new value of the `ARROWHEAD__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowhead value is not supported.

### getArrowheadParsed

public static org.eclipse.gef.dot.internal.language.arrowtype.ArrowType getArrowheadParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `ARROWHEAD__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWHEAD__E` attribute.
Returns:
  The (parsed) value of the `ARROWHEAD__E` attribute of the given `Edge`.

### setArrowheadParsed

public static void setArrowheadParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowhead)
Sets the (parsed) value of the `ARROWHEAD__E` attribute of the given `Edge` to the given arrowhead value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWHEAD__E` attribute.
  `arrowhead` - The new (parsed) value of the `ARROWHEAD__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowhead value is not supported.

### getArrowsizeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getArrowsizeRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `ARROWSIZE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWSIZE__E` attribute.
Returns:
  The (raw) value of the `ARROWSIZE__E` attribute of the given `Edge`.

### setArrowsizeRaw

public static void setArrowsizeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID arrowsize)
Sets the (raw) value of the `ARROWSIZE__E` attribute of the given `Edge` to the given arrowsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWSIZE__E` attribute.
  `arrowsize` - The new (raw) value of the `ARROWSIZE__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowsize value is not supported.

### getArrowsize

public static String getArrowsize(org.eclipse.gef.graph.Edge edge)
Returns the value of the `ARROWSIZE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWSIZE__E` attribute.
Returns:
  The value of the `ARROWSIZE__E` attribute of the given `Edge`.

### setArrowsize

public static void setArrowsize(org.eclipse.gef.graph.Edge edge, String arrowsize)
Sets the value of the `ARROWSIZE__E` attribute of the given `Edge` to the given arrowsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWSIZE__E` attribute.
  `arrowsize` - The new value of the `ARROWSIZE__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowsize value is not supported.

### getArrowsizeParsed

public static Double getArrowsizeParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `ARROWSIZE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWSIZE__E` attribute.
Returns:
  The (parsed) value of the `ARROWSIZE__E` attribute of the given `Edge`.

### setArrowsizeParsed

public static void setArrowsizeParsed(org.eclipse.gef.graph.Edge edge, Double arrowsize)
Sets the (parsed) value of the `ARROWSIZE__E` attribute of the given `Edge` to the given arrowsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWSIZE__E` attribute.
  `arrowsize` - The new (parsed) value of the `ARROWSIZE__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowsize value is not supported.

### getArrowtailRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getArrowtailRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `ARROWTAIL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWTAIL__E` attribute.
Returns:
  The (raw) value of the `ARROWTAIL__E` attribute of the given `Edge`.

### setArrowtailRaw

public static void setArrowtailRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID arrowtail)
Sets the (raw) value of the `ARROWTAIL__E` attribute of the given `Edge` to the given arrowtail value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWTAIL__E` attribute.
  `arrowtail` - The new (raw) value of the `ARROWTAIL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowtail value is not supported.

### getArrowtail

public static String getArrowtail(org.eclipse.gef.graph.Edge edge)
Returns the value of the `ARROWTAIL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWTAIL__E` attribute.
Returns:
  The value of the `ARROWTAIL__E` attribute of the given `Edge`.

### setArrowtail

public static void setArrowtail(org.eclipse.gef.graph.Edge edge, String arrowtail)
Sets the value of the `ARROWTAIL__E` attribute of the given `Edge` to the given arrowtail value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWTAIL__E` attribute.
  `arrowtail` - The new value of the `ARROWTAIL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowtail value is not supported.

### getArrowtailParsed

public static org.eclipse.gef.dot.internal.language.arrowtype.ArrowType getArrowtailParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `ARROWTAIL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ARROWTAIL__E` attribute.
Returns:
  The (parsed) value of the `ARROWTAIL__E` attribute of the given `Edge`.

### setArrowtailParsed

public static void setArrowtailParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowtail)
Sets the (parsed) value of the `ARROWTAIL__E` attribute of the given `Edge` to the given arrowtail value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ARROWTAIL__E` attribute.
  `arrowtail` - The new (parsed) value of the `ARROWTAIL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given arrowtail value is not supported.

### getBbRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getBbRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `BB__GC` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `BB__GC` attribute.
Returns:
  The (raw) value of the `BB__GC` attribute of the given `Graph`.

### setBbRaw

public static void setBbRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID bb)
Sets the (raw) value of the `BB__GC` attribute of the given `Graph` to the given bb value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `BB__GC` attribute.
  `bb` - The new (raw) value of the `BB__GC` attribute.
Throws:
  `IllegalArgumentException` - when the given bb value is not supported.

### getBb

public static String getBb(org.eclipse.gef.graph.Graph graph)
Returns the value of the `BB__GC` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `BB__GC` attribute.
Returns:
  The value of the `BB__GC` attribute of the given `Graph`.

### setBb

public static void setBb(org.eclipse.gef.graph.Graph graph, String bb)
Sets the value of the `BB__GC` attribute of the given `Graph` to the given bb value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `BB__GC` attribute.
  `bb` - The new value of the `BB__GC` attribute.
Throws:
  `IllegalArgumentException` - when the given bb value is not supported.

### getBbParsed

public static org.eclipse.gef.dot.internal.language.rect.Rect getBbParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `BB__GC` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `BB__GC` attribute.
Returns:
  The (parsed) value of the `BB__GC` attribute of the given `Graph`.

### setBbParsed

public static void setBbParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.rect.Rect bb)
Sets the (parsed) value of the `BB__GC` attribute of the given `Graph` to the given bb value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `BB__GC` attribute.
  `bb` - The new (parsed) value of the `BB__GC` attribute.
Throws:
  `IllegalArgumentException` - when the given bb value is not supported.

### getBgcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getBgcolorRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `BGCOLOR__GC` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `BGCOLOR__GC` attribute.
Returns:
  The (raw) value of the `BGCOLOR__GC` attribute of the given `Graph`.

### setBgcolorRaw

public static void setBgcolorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID bgcolor)
Sets the (raw) value of the `BGCOLOR__GC` attribute of the given `Graph` to the given bgcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `BGCOLOR__GC` attribute.
  `bgcolor` - The new (raw) value of the `BGCOLOR__GC` attribute.
Throws:
  `IllegalArgumentException` - when the given bgcolor value is not supported.

### getBgcolor

public static String getBgcolor(org.eclipse.gef.graph.Graph graph)
Returns the value of the `BGCOLOR__GC` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `BGCOLOR__GC` attribute.
Returns:
  The value of the `BGCOLOR__GC` attribute of the given `Graph`.

### setBgcolor

public static void setBgcolor(org.eclipse.gef.graph.Graph graph, String bgcolor)
Sets the value of the `BGCOLOR__GC` attribute of the given `Graph` to the given bgcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `BGCOLOR__GC` attribute.
  `bgcolor` - The new value of the `BGCOLOR__GC` attribute.
Throws:
  `IllegalArgumentException` - when the given bgcolor value is not supported.

### getBgcolorParsed

public static org.eclipse.gef.dot.internal.language.colorlist.ColorList getBgcolorParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `BGCOLOR__GC` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `BGCOLOR__GC` attribute.
Returns:
  The (parsed) value of the `BGCOLOR__GC` attribute of the given `Graph`.

### setBgcolorParsed

public static void setBgcolorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.colorlist.ColorList bgcolor)
Sets the (parsed) value of the `BGCOLOR__GC` attribute of the given `Graph` to the given bgcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `BGCOLOR__GC` attribute.
  `bgcolor` - The new (parsed) value of the `BGCOLOR__GC` attribute.
Throws:
  `IllegalArgumentException` - when the given bgcolor value is not supported.

### getClusterrankRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getClusterrankRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `CLUSTERRANK__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `CLUSTERRANK__G` attribute.
Returns:
  The (raw) value of the `CLUSTERRANK__G` attribute of the given `Graph`.

### setClusterrankRaw

public static void setClusterrankRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID clusterrank)
Sets the (raw) value of the `CLUSTERRANK__G` attribute of the given `Graph` to the given clusterrank value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `CLUSTERRANK__G` attribute.
  `clusterrank` - The new (raw) value of the `CLUSTERRANK__G` attribute.
Throws:
  `IllegalArgumentException` - when the given clusterrank value is not supported.

### getClusterrank

public static String getClusterrank(org.eclipse.gef.graph.Graph graph)
Returns the value of the `CLUSTERRANK__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `CLUSTERRANK__G` attribute.
Returns:
  The value of the `CLUSTERRANK__G` attribute of the given `Graph`.

### setClusterrank

public static void setClusterrank(org.eclipse.gef.graph.Graph graph, String clusterrank)
Sets the value of the `CLUSTERRANK__G` attribute of the given `Graph` to the given clusterrank value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `CLUSTERRANK__G` attribute.
  `clusterrank` - The new value of the `CLUSTERRANK__G` attribute.
Throws:
  `IllegalArgumentException` - when the given clusterrank value is not supported.

### getClusterrankParsed

public static org.eclipse.gef.dot.internal.language.clustermode.ClusterMode getClusterrankParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `CLUSTERRANK__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `CLUSTERRANK__G` attribute.
Returns:
  The (parsed) value of the `CLUSTERRANK__G` attribute of the given `Graph`.

### setClusterrankParsed

public static void setClusterrankParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.clustermode.ClusterMode clusterrank)
Sets the (parsed) value of the `CLUSTERRANK__G` attribute of the given `Graph` to the given clusterrank value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `CLUSTERRANK__G` attribute.
  `clusterrank` - The new (parsed) value of the `CLUSTERRANK__G` attribute.
Throws:
  `IllegalArgumentException` - when the given clusterrank value is not supported.

### getColorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getColorRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `COLOR__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The (raw) value of the `COLOR__CNE` attribute of the given `Graph`.

### setColorRaw

public static void setColorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID color)
Sets the (raw) value of the `COLOR__CNE` attribute of the given `Graph` to the given color value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new (raw) value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColor

public static String getColor(org.eclipse.gef.graph.Graph graph)
Returns the value of the `COLOR__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The value of the `COLOR__CNE` attribute of the given `Graph`.

### setColor

public static void setColor(org.eclipse.gef.graph.Graph graph, String color)
Sets the value of the `COLOR__CNE` attribute of the given `Graph` to the given color value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getColorParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `COLOR__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The (parsed) value of the `COLOR__CNE` attribute of the given `Graph`.

### setColorParsed

public static void setColorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.color.Color color)
Sets the (parsed) value of the `COLOR__CNE` attribute of the given `Graph` to the given color value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new (parsed) value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getColorRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `COLOR__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The (raw) value of the `COLOR__CNE` attribute of the given `Node`.

### setColorRaw

public static void setColorRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID color)
Sets the (raw) value of the `COLOR__CNE` attribute of the given `Node` to the given color value.

Parameters:
  `node` - The `Node` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new (raw) value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColor

public static String getColor(org.eclipse.gef.graph.Node node)
Returns the value of the `COLOR__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The value of the `COLOR__CNE` attribute of the given `Node`.

### setColor

public static void setColor(org.eclipse.gef.graph.Node node, String color)
Sets the value of the `COLOR__CNE` attribute of the given `Node` to the given color value.

Parameters:
  `node` - The `Node` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getColorParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `COLOR__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The (parsed) value of the `COLOR__CNE` attribute of the given `Node`.

### setColorParsed

public static void setColorParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.color.Color color)
Sets the (parsed) value of the `COLOR__CNE` attribute of the given `Node` to the given color value.

Parameters:
  `node` - The `Node` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new (parsed) value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getColorRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `COLOR__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The (raw) value of the `COLOR__CNE` attribute of the given `Edge`.

### setColorRaw

public static void setColorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID color)
Sets the (raw) value of the `COLOR__CNE` attribute of the given `Edge` to the given color value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new (raw) value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColor

public static String getColor(org.eclipse.gef.graph.Edge edge)
Returns the value of the `COLOR__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The value of the `COLOR__CNE` attribute of the given `Edge`.

### setColor

public static void setColor(org.eclipse.gef.graph.Edge edge, String color)
Sets the value of the `COLOR__CNE` attribute of the given `Edge` to the given color value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColorParsed

public static org.eclipse.gef.dot.internal.language.colorlist.ColorList getColorParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `COLOR__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `COLOR__CNE` attribute.
Returns:
  The (parsed) value of the `COLOR__CNE` attribute of the given `Edge`.

### setColorParsed

public static void setColorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.colorlist.ColorList color)
Sets the (parsed) value of the `COLOR__CNE` attribute of the given `Edge` to the given color value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `COLOR__CNE` attribute.
  `color` - The new (parsed) value of the `COLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given color value is not supported.

### getColorschemeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getColorschemeRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `COLORSCHEME__GCNE` attribute.
Returns:
  The (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Graph`.

### setColorschemeRaw

public static void setColorschemeRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID colorscheme)
Sets the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Graph` to the given colorscheme value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `COLORSCHEME__GCNE` attribute.
  `colorscheme` - The new (raw) value of the `COLORSCHEME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given colorscheme value is not supported.

### getColorscheme

public static String getColorscheme(org.eclipse.gef.graph.Graph graph)
Returns the value of the `COLORSCHEME__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `COLORSCHEME__GCNE` attribute.
Returns:
  The value of the `COLORSCHEME__GCNE` attribute of the given `Graph`.

### setColorscheme

public static void setColorscheme(org.eclipse.gef.graph.Graph graph, String colorscheme)
Sets the value of the `COLORSCHEME__GCNE` attribute of the given `Graph` to the given colorscheme value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `COLORSCHEME__GCNE` attribute.
  `colorscheme` - The new value of the `COLORSCHEME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given colorscheme value is not supported.

### getColorschemeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getColorschemeRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `COLORSCHEME__GCNE` attribute.
Returns:
  The (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Node`.

### setColorschemeRaw

public static void setColorschemeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID colorscheme)
Sets the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Node` to the given colorscheme value.

Parameters:
  `node` - The `Node` for which to change the value of the `COLORSCHEME__GCNE` attribute.
  `colorscheme` - The new (raw) value of the `COLORSCHEME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given colorscheme value is not supported.

### getColorscheme

public static String getColorscheme(org.eclipse.gef.graph.Node node)
Returns the value of the `COLORSCHEME__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `COLORSCHEME__GCNE` attribute.
Returns:
  The value of the `COLORSCHEME__GCNE` attribute of the given `Node`.

### setColorscheme

public static void setColorscheme(org.eclipse.gef.graph.Node node, String colorscheme)
Sets the value of the `COLORSCHEME__GCNE` attribute of the given `Node` to the given colorscheme value.

Parameters:
  `node` - The `Node` for which to change the value of the `COLORSCHEME__GCNE` attribute.
  `colorscheme` - The new value of the `COLORSCHEME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given colorscheme value is not supported.

### getColorschemeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getColorschemeRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `COLORSCHEME__GCNE` attribute.
Returns:
  The (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Edge`.

### setColorschemeRaw

public static void setColorschemeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID colorscheme)
Sets the (raw) value of the `COLORSCHEME__GCNE` attribute of the given `Edge` to the given colorscheme value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `COLORSCHEME__GCNE` attribute.
  `colorscheme` - The new (raw) value of the `COLORSCHEME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given colorscheme value is not supported.

### getColorscheme

public static String getColorscheme(org.eclipse.gef.graph.Edge edge)
Returns the value of the `COLORSCHEME__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `COLORSCHEME__GCNE` attribute.
Returns:
  The value of the `COLORSCHEME__GCNE` attribute of the given `Edge`.

### setColorscheme

public static void setColorscheme(org.eclipse.gef.graph.Edge edge, String colorscheme)
Sets the value of the `COLORSCHEME__GCNE` attribute of the given `Edge` to the given colorscheme value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `COLORSCHEME__GCNE` attribute.
  `colorscheme` - The new value of the `COLORSCHEME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given colorscheme value is not supported.

### getDirRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getDirRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `DIR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `DIR__E` attribute.
Returns:
  The (raw) value of the `DIR__E` attribute of the given `Edge`.

### setDirRaw

public static void setDirRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID dir)
Sets the (raw) value of the `DIR__E` attribute of the given `Edge` to the given dir value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `DIR__E` attribute.
  `dir` - The new (raw) value of the `DIR__E` attribute.
Throws:
  `IllegalArgumentException` - when the given dir value is not supported.

### getDir

public static String getDir(org.eclipse.gef.graph.Edge edge)
Returns the value of the `DIR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `DIR__E` attribute.
Returns:
  The value of the `DIR__E` attribute of the given `Edge`.

### setDir

public static void setDir(org.eclipse.gef.graph.Edge edge, String dir)
Sets the value of the `DIR__E` attribute of the given `Edge` to the given dir value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `DIR__E` attribute.
  `dir` - The new value of the `DIR__E` attribute.
Throws:
  `IllegalArgumentException` - when the given dir value is not supported.

### getDirParsed

public static org.eclipse.gef.dot.internal.language.dir.DirType getDirParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `DIR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `DIR__E` attribute.
Returns:
  The (parsed) value of the `DIR__E` attribute of the given `Edge`.

### setDirParsed

public static void setDirParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.dir.DirType dir)
Sets the (parsed) value of the `DIR__E` attribute of the given `Edge` to the given dir value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `DIR__E` attribute.
  `dir` - The new (parsed) value of the `DIR__E` attribute.
Throws:
  `IllegalArgumentException` - when the given dir value is not supported.

### getDistortionRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getDistortionRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `DISTORTION__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `DISTORTION__N` attribute.
Returns:
  The (raw) value of the `DISTORTION__N` attribute of the given `Node`.

### setDistortionRaw

public static void setDistortionRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID distortion)
Sets the (raw) value of the `DISTORTION__N` attribute of the given `Node` to the given distortion value.

Parameters:
  `node` - The `Node` for which to change the value of the `DISTORTION__N` attribute.
  `distortion` - The new (raw) value of the `DISTORTION__N` attribute.
Throws:
  `IllegalArgumentException` - when the given distortion value is not supported.

### getDistortion

public static String getDistortion(org.eclipse.gef.graph.Node node)
Returns the value of the `DISTORTION__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `DISTORTION__N` attribute.
Returns:
  The value of the `DISTORTION__N` attribute of the given `Node`.

### setDistortion

public static void setDistortion(org.eclipse.gef.graph.Node node, String distortion)
Sets the value of the `DISTORTION__N` attribute of the given `Node` to the given distortion value.

Parameters:
  `node` - The `Node` for which to change the value of the `DISTORTION__N` attribute.
  `distortion` - The new value of the `DISTORTION__N` attribute.
Throws:
  `IllegalArgumentException` - when the given distortion value is not supported.

### getDistortionParsed

public static Double getDistortionParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `DISTORTION__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `DISTORTION__N` attribute.
Returns:
  The (parsed) value of the `DISTORTION__N` attribute of the given `Node`.

### setDistortionParsed

public static void setDistortionParsed(org.eclipse.gef.graph.Node node, Double distortion)
Sets the (parsed) value of the `DISTORTION__N` attribute of the given `Node` to the given distortion value.

Parameters:
  `node` - The `Node` for which to change the value of the `DISTORTION__N` attribute.
  `distortion` - The new (parsed) value of the `DISTORTION__N` attribute.
Throws:
  `IllegalArgumentException` - when the given distortion value is not supported.

### getEdgetooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getEdgetooltipRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `EDGETOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `EDGETOOLTIP__E` attribute.
Returns:
  The (raw) value of the `EDGETOOLTIP__E` attribute of the given `Edge`.

### setEdgetooltipRaw

public static void setEdgetooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID edgetooltip)
Sets the (raw) value of the `EDGETOOLTIP__E` attribute of the given `Edge` to the given edgetooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `EDGETOOLTIP__E` attribute.
  `edgetooltip` - The new (raw) value of the `EDGETOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given edgetooltip value is not supported.

### getEdgetooltip

public static String getEdgetooltip(org.eclipse.gef.graph.Edge edge)
Returns the value of the `EDGETOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `EDGETOOLTIP__E` attribute.
Returns:
  The value of the `EDGETOOLTIP__E` attribute of the given `Edge`.

### setEdgetooltip

public static void setEdgetooltip(org.eclipse.gef.graph.Edge edge, String edgetooltip)
Sets the value of the `EDGETOOLTIP__E` attribute of the given `Edge` to the given edgetooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `EDGETOOLTIP__E` attribute.
  `edgetooltip` - The new value of the `EDGETOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given edgetooltip value is not supported.

### getEdgetooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getEdgetooltipParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `EDGETOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `EDGETOOLTIP__E` attribute.
Returns:
  The (parsed) value of the `EDGETOOLTIP__E` attribute of the given `Edge`.

### setEdgetooltipParsed

public static void setEdgetooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString edgetooltip)
Sets the (parsed) value of the `EDGETOOLTIP__E` attribute of the given `Edge` to the given edgetooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `EDGETOOLTIP__E` attribute.
  `edgetooltip` - The new (parsed) value of the `EDGETOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given edgetooltip value is not supported.

### getFillcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFillcolorRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The (raw) value of the `FILLCOLOR__CNE` attribute of the given `Graph`.

### setFillcolorRaw

public static void setFillcolorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fillcolor)
Sets the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Graph` to the given fillcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new (raw) value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolor

public static String getFillcolor(org.eclipse.gef.graph.Graph graph)
Returns the value of the `FILLCOLOR__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The value of the `FILLCOLOR__CNE` attribute of the given `Graph`.

### setFillcolor

public static void setFillcolor(org.eclipse.gef.graph.Graph graph, String fillcolor)
Sets the value of the `FILLCOLOR__CNE` attribute of the given `Graph` to the given fillcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolorParsed

public static org.eclipse.gef.dot.internal.language.colorlist.ColorList getFillcolorParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Graph`.

### setFillcolorParsed

public static void setFillcolorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolor)
Sets the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Graph` to the given fillcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new (parsed) value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFillcolorRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The (raw) value of the `FILLCOLOR__CNE` attribute of the given `Node`.

### setFillcolorRaw

public static void setFillcolorRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fillcolor)
Sets the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Node` to the given fillcolor value.

Parameters:
  `node` - The `Node` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new (raw) value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolor

public static String getFillcolor(org.eclipse.gef.graph.Node node)
Returns the value of the `FILLCOLOR__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The value of the `FILLCOLOR__CNE` attribute of the given `Node`.

### setFillcolor

public static void setFillcolor(org.eclipse.gef.graph.Node node, String fillcolor)
Sets the value of the `FILLCOLOR__CNE` attribute of the given `Node` to the given fillcolor value.

Parameters:
  `node` - The `Node` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolorParsed

public static org.eclipse.gef.dot.internal.language.colorlist.ColorList getFillcolorParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Node`.

### setFillcolorParsed

public static void setFillcolorParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolor)
Sets the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Node` to the given fillcolor value.

Parameters:
  `node` - The `Node` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new (parsed) value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFillcolorRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The (raw) value of the `FILLCOLOR__CNE` attribute of the given `Edge`.

### setFillcolorRaw

public static void setFillcolorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fillcolor)
Sets the (raw) value of the `FILLCOLOR__CNE` attribute of the given `Edge` to the given fillcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new (raw) value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolor

public static String getFillcolor(org.eclipse.gef.graph.Edge edge)
Returns the value of the `FILLCOLOR__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The value of the `FILLCOLOR__CNE` attribute of the given `Edge`.

### setFillcolor

public static void setFillcolor(org.eclipse.gef.graph.Edge edge, String fillcolor)
Sets the value of the `FILLCOLOR__CNE` attribute of the given `Edge` to the given fillcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFillcolorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getFillcolorParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FILLCOLOR__CNE` attribute.
Returns:
  The (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Edge`.

### setFillcolorParsed

public static void setFillcolorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.color.Color fillcolor)
Sets the (parsed) value of the `FILLCOLOR__CNE` attribute of the given `Edge` to the given fillcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FILLCOLOR__CNE` attribute.
  `fillcolor` - The new (parsed) value of the `FILLCOLOR__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fillcolor value is not supported.

### getFixedsizeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFixedsizeRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `FIXEDSIZE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FIXEDSIZE__N` attribute.
Returns:
  The (raw) value of the `FIXEDSIZE__N` attribute of the given `Node`.

### setFixedsizeRaw

public static void setFixedsizeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fixedsize)
Sets the (raw) value of the `FIXEDSIZE__N` attribute of the given `Node` to the given fixedsize value.

Parameters:
  `node` - The `Node` for which to change the value of the `FIXEDSIZE__N` attribute.
  `fixedsize` - The new (raw) value of the `FIXEDSIZE__N` attribute.
Throws:
  `IllegalArgumentException` - when the given fixedsize value is not supported.

### getFixedsize

public static String getFixedsize(org.eclipse.gef.graph.Node node)
Returns the value of the `FIXEDSIZE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FIXEDSIZE__N` attribute.
Returns:
  The value of the `FIXEDSIZE__N` attribute of the given `Node`.

### setFixedsize

public static void setFixedsize(org.eclipse.gef.graph.Node node, String fixedsize)
Sets the value of the `FIXEDSIZE__N` attribute of the given `Node` to the given fixedsize value.

Parameters:
  `node` - The `Node` for which to change the value of the `FIXEDSIZE__N` attribute.
  `fixedsize` - The new value of the `FIXEDSIZE__N` attribute.
Throws:
  `IllegalArgumentException` - when the given fixedsize value is not supported.

### getFixedsizeParsed

public static Boolean getFixedsizeParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `FIXEDSIZE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FIXEDSIZE__N` attribute.
Returns:
  The (parsed) value of the `FIXEDSIZE__N` attribute of the given `Node`.

### setFixedsizeParsed

public static void setFixedsizeParsed(org.eclipse.gef.graph.Node node, Boolean fixedsize)
Sets the (parsed) value of the `FIXEDSIZE__N` attribute of the given `Node` to the given fixedsize value.

Parameters:
  `node` - The `Node` for which to change the value of the `FIXEDSIZE__N` attribute.
  `fixedsize` - The new (parsed) value of the `FIXEDSIZE__N` attribute.
Throws:
  `IllegalArgumentException` - when the given fixedsize value is not supported.

### getFontcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontcolorRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.

### setFontcolorRaw

public static void setFontcolorRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fontcolor)
Sets the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Graph` to the given fontcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new (raw) value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolor

public static String getFontcolor(org.eclipse.gef.graph.Graph graph)
Returns the value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.

### setFontcolor

public static void setFontcolor(org.eclipse.gef.graph.Graph graph, String fontcolor)
Sets the value of the `FONTCOLOR__GCNE` attribute of the given `Graph` to the given fontcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getFontcolorParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Graph`.

### setFontcolorParsed

public static void setFontcolorParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.color.Color fontcolor)
Sets the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Graph` to the given fontcolor value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new (parsed) value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontcolorRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Node`.

### setFontcolorRaw

public static void setFontcolorRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fontcolor)
Sets the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Node` to the given fontcolor value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new (raw) value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolor

public static String getFontcolor(org.eclipse.gef.graph.Node node)
Returns the value of the `FONTCOLOR__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The value of the `FONTCOLOR__GCNE` attribute of the given `Node`.

### setFontcolor

public static void setFontcolor(org.eclipse.gef.graph.Node node, String fontcolor)
Sets the value of the `FONTCOLOR__GCNE` attribute of the given `Node` to the given fontcolor value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getFontcolorParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Node`.

### setFontcolorParsed

public static void setFontcolorParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.color.Color fontcolor)
Sets the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Node` to the given fontcolor value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new (parsed) value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontcolorRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.

### setFontcolorRaw

public static void setFontcolorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fontcolor)
Sets the (raw) value of the `FONTCOLOR__GCNE` attribute of the given `Edge` to the given fontcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new (raw) value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolor

public static String getFontcolor(org.eclipse.gef.graph.Edge edge)
Returns the value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.

### setFontcolor

public static void setFontcolor(org.eclipse.gef.graph.Edge edge, String fontcolor)
Sets the value of the `FONTCOLOR__GCNE` attribute of the given `Edge` to the given fontcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontcolorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getFontcolorParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTCOLOR__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Edge`.

### setFontcolorParsed

public static void setFontcolorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.color.Color fontcolor)
Sets the (parsed) value of the `FONTCOLOR__GCNE` attribute of the given `Edge` to the given fontcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTCOLOR__GCNE` attribute.
  `fontcolor` - The new (parsed) value of the `FONTCOLOR__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontcolor value is not supported.

### getFontnameRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontnameRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `FONTNAME__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The (raw) value of the `FONTNAME__GCNE` attribute of the given `Graph`.

### setFontnameRaw

public static void setFontnameRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fontname)
Sets the (raw) value of the `FONTNAME__GCNE` attribute of the given `Graph` to the given fontname value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new (raw) value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontname

public static String getFontname(org.eclipse.gef.graph.Graph graph)
Returns the value of the `FONTNAME__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The value of the `FONTNAME__GCNE` attribute of the given `Graph`.

### setFontname

public static void setFontname(org.eclipse.gef.graph.Graph graph, String fontname)
Sets the value of the `FONTNAME__GCNE` attribute of the given `Graph` to the given fontname value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontnameParsed

public static org.eclipse.gef.dot.internal.language.fontname.FontName getFontnameParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTNAME__GCNE` attribute of the given `Graph`.

### setFontnameParsed

public static void setFontnameParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.fontname.FontName fontname)
Sets the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Graph` to the given fontname value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new (parsed) value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontnameRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontnameRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `FONTNAME__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The (raw) value of the `FONTNAME__GCNE` attribute of the given `Node`.

### setFontnameRaw

public static void setFontnameRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fontname)
Sets the (raw) value of the `FONTNAME__GCNE` attribute of the given `Node` to the given fontname value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new (raw) value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontname

public static String getFontname(org.eclipse.gef.graph.Node node)
Returns the value of the `FONTNAME__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The value of the `FONTNAME__GCNE` attribute of the given `Node`.

### setFontname

public static void setFontname(org.eclipse.gef.graph.Node node, String fontname)
Sets the value of the `FONTNAME__GCNE` attribute of the given `Node` to the given fontname value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontnameParsed

public static org.eclipse.gef.dot.internal.language.fontname.FontName getFontnameParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTNAME__GCNE` attribute of the given `Node`.

### setFontnameParsed

public static void setFontnameParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.fontname.FontName fontname)
Sets the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Node` to the given fontname value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new (parsed) value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontnameRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontnameRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `FONTNAME__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The (raw) value of the `FONTNAME__GCNE` attribute of the given `Edge`.

### setFontnameRaw

public static void setFontnameRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fontname)
Sets the (raw) value of the `FONTNAME__GCNE` attribute of the given `Edge` to the given fontname value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new (raw) value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontname

public static String getFontname(org.eclipse.gef.graph.Edge edge)
Returns the value of the `FONTNAME__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The value of the `FONTNAME__GCNE` attribute of the given `Edge`.

### setFontname

public static void setFontname(org.eclipse.gef.graph.Edge edge, String fontname)
Sets the value of the `FONTNAME__GCNE` attribute of the given `Edge` to the given fontname value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontnameParsed

public static org.eclipse.gef.dot.internal.language.fontname.FontName getFontnameParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTNAME__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTNAME__GCNE` attribute of the given `Edge`.

### setFontnameParsed

public static void setFontnameParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.fontname.FontName fontname)
Sets the (parsed) value of the `FONTNAME__GCNE` attribute of the given `Edge` to the given fontname value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTNAME__GCNE` attribute.
  `fontname` - The new (parsed) value of the `FONTNAME__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontname value is not supported.

### getFontsizeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontsizeRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The (raw) value of the `FONTSIZE__GCNE` attribute of the given `Graph`.

### setFontsizeRaw

public static void setFontsizeRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID fontsize)
Sets the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Graph` to the given fontsize value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new (raw) value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsize

public static String getFontsize(org.eclipse.gef.graph.Graph graph)
Returns the value of the `FONTSIZE__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The value of the `FONTSIZE__GCNE` attribute of the given `Graph`.

### setFontsize

public static void setFontsize(org.eclipse.gef.graph.Graph graph, String fontsize)
Sets the value of the `FONTSIZE__GCNE` attribute of the given `Graph` to the given fontsize value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsizeParsed

public static Double getFontsizeParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Graph`.

### setFontsizeParsed

public static void setFontsizeParsed(org.eclipse.gef.graph.Graph graph, Double fontsize)
Sets the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Graph` to the given fontsize value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new (parsed) value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsizeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontsizeRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The (raw) value of the `FONTSIZE__GCNE` attribute of the given `Node`.

### setFontsizeRaw

public static void setFontsizeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID fontsize)
Sets the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Node` to the given fontsize value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new (raw) value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsize

public static String getFontsize(org.eclipse.gef.graph.Node node)
Returns the value of the `FONTSIZE__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The value of the `FONTSIZE__GCNE` attribute of the given `Node`.

### setFontsize

public static void setFontsize(org.eclipse.gef.graph.Node node, String fontsize)
Sets the value of the `FONTSIZE__GCNE` attribute of the given `Node` to the given fontsize value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsizeParsed

public static Double getFontsizeParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Node`.

### setFontsizeParsed

public static void setFontsizeParsed(org.eclipse.gef.graph.Node node, Double fontsize)
Sets the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Node` to the given fontsize value.

Parameters:
  `node` - The `Node` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new (parsed) value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsizeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getFontsizeRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The (raw) value of the `FONTSIZE__GCNE` attribute of the given `Edge`.

### setFontsizeRaw

public static void setFontsizeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID fontsize)
Sets the (raw) value of the `FONTSIZE__GCNE` attribute of the given `Edge` to the given fontsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new (raw) value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsize

public static String getFontsize(org.eclipse.gef.graph.Edge edge)
Returns the value of the `FONTSIZE__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The value of the `FONTSIZE__GCNE` attribute of the given `Edge`.

### setFontsize

public static void setFontsize(org.eclipse.gef.graph.Edge edge, String fontsize)
Sets the value of the `FONTSIZE__GCNE` attribute of the given `Edge` to the given fontsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getFontsizeParsed

public static Double getFontsizeParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `FONTSIZE__GCNE` attribute.
Returns:
  The (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Edge`.

### setFontsizeParsed

public static void setFontsizeParsed(org.eclipse.gef.graph.Edge edge, Double fontsize)
Sets the (parsed) value of the `FONTSIZE__GCNE` attribute of the given `Edge` to the given fontsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `FONTSIZE__GCNE` attribute.
  `fontsize` - The new (parsed) value of the `FONTSIZE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given fontsize value is not supported.

### getForcelabelsRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getForcelabelsRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `FORCELABELS__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FORCELABELS__G` attribute.
Returns:
  The (raw) value of the `FORCELABELS__G` attribute of the given `Graph`.

### setForcelabelsRaw

public static void setForcelabelsRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID forcelabels)
Sets the (raw) value of the `FORCELABELS__G` attribute of the given `Graph` to the given forcelabels value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FORCELABELS__G` attribute.
  `forcelabels` - The new (raw) value of the `FORCELABELS__G` attribute.
Throws:
  `IllegalArgumentException` - when the given forcelabels value is not supported.

### getForcelabels

public static String getForcelabels(org.eclipse.gef.graph.Graph graph)
Returns the value of the `FORCELABELS__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FORCELABELS__G` attribute.
Returns:
  The value of the `FORCELABELS__G` attribute of the given `Graph`.

### setForcelabels

public static void setForcelabels(org.eclipse.gef.graph.Graph graph, String forcelabels)
Sets the value of the `FORCELABELS__G` attribute of the given `Graph` to the given forcelabels value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FORCELABELS__G` attribute.
  `forcelabels` - The new value of the `FORCELABELS__G` attribute.
Throws:
  `IllegalArgumentException` - when the given forcelabels value is not supported.

### getForcelabelsParsed

public static Boolean getForcelabelsParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `FORCELABELS__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `FORCELABELS__G` attribute.
Returns:
  The (parsed) value of the `FORCELABELS__G` attribute of the given `Graph`.

### setForcelabelsParsed

public static void setForcelabelsParsed(org.eclipse.gef.graph.Graph graph, Boolean forcelabels)
Sets the (parsed) value of the `FORCELABELS__G` attribute of the given `Graph` to the given forcelabels value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `FORCELABELS__G` attribute.
  `forcelabels` - The new (parsed) value of the `FORCELABELS__G` attribute.
Throws:
  `IllegalArgumentException` - when the given forcelabels value is not supported.

### getHeadLpRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getHeadLpRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `HEAD_LP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEAD_LP__E` attribute.
Returns:
  The (raw) value of the `HEAD_LP__E` attribute of the given `Edge`.

### setHeadLpRaw

public static void setHeadLpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headLp)
Sets the (raw) value of the `HEAD_LP__E` attribute of the given `Edge` to the given headLp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEAD_LP__E` attribute.
  `headLp` - The new (raw) value of the `HEAD_LP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headLp value is not supported.

### getHeadLp

public static String getHeadLp(org.eclipse.gef.graph.Edge edge)
Returns the value of the `HEAD_LP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEAD_LP__E` attribute.
Returns:
  The value of the `HEAD_LP__E` attribute of the given `Edge`.

### setHeadLp

public static void setHeadLp(org.eclipse.gef.graph.Edge edge, String headLp)
Sets the value of the `HEAD_LP__E` attribute of the given `Edge` to the given headLp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEAD_LP__E` attribute.
  `headLp` - The new value of the `HEAD_LP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headLp value is not supported.

### getHeadLpParsed

public static org.eclipse.gef.dot.internal.language.point.Point getHeadLpParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `HEAD_LP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEAD_LP__E` attribute.
Returns:
  The (parsed) value of the `HEAD_LP__E` attribute of the given `Edge`.

### setHeadLpParsed

public static void setHeadLpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point headLp)
Sets the (parsed) value of the `HEAD_LP__E` attribute of the given `Edge` to the given headLp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEAD_LP__E` attribute.
  `headLp` - The new (parsed) value of the `HEAD_LP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headLp value is not supported.

### getHeadlabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getHeadlabelRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `HEADLABEL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADLABEL__E` attribute.
Returns:
  The (raw) value of the `HEADLABEL__E` attribute of the given `Edge`.

### setHeadlabelRaw

public static void setHeadlabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headlabel)
Sets the (raw) value of the `HEADLABEL__E` attribute of the given `Edge` to the given headlabel value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADLABEL__E` attribute.
  `headlabel` - The new (raw) value of the `HEADLABEL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headlabel value is not supported.

### getHeadlabel

public static String getHeadlabel(org.eclipse.gef.graph.Edge edge)
Returns the value of the `HEADLABEL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADLABEL__E` attribute.
Returns:
  The value of the `HEADLABEL__E` attribute of the given `Edge`.

### setHeadlabel

public static void setHeadlabel(org.eclipse.gef.graph.Edge edge, String headlabel)
Sets the value of the `HEADLABEL__E` attribute of the given `Edge` to the given headlabel value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADLABEL__E` attribute.
  `headlabel` - The new value of the `HEADLABEL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headlabel value is not supported.

### getHeadportRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getHeadportRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `HEADPORT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADPORT__E` attribute.
Returns:
  The (raw) value of the `HEADPORT__E` attribute of the given `Edge`.

### setHeadportRaw

public static void setHeadportRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headport)
Sets the (raw) value of the `HEADPORT__E` attribute of the given `Edge` to the given headport value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADPORT__E` attribute.
  `headport` - The new (raw) value of the `HEADPORT__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headport value is not supported.

### getHeadport

public static String getHeadport(org.eclipse.gef.graph.Edge edge)
Returns the value of the `HEADPORT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADPORT__E` attribute.
Returns:
  The value of the `HEADPORT__E` attribute of the given `Edge`.

### setHeadport

public static void setHeadport(org.eclipse.gef.graph.Edge edge, String headport)
Sets the value of the `HEADPORT__E` attribute of the given `Edge` to the given headport value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADPORT__E` attribute.
  `headport` - The new value of the `HEADPORT__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headport value is not supported.

### getHeadportParsed

public static org.eclipse.gef.dot.internal.language.portpos.PortPos getHeadportParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `HEADPORT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADPORT__E` attribute.
Returns:
  The (parsed) value of the `HEADPORT__E` attribute of the given `Edge`.

### setHeadportParsed

public static void setHeadportParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.portpos.PortPos headport)
Sets the (parsed) value of the `HEADPORT__E` attribute of the given `Edge` to the given headport value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADPORT__E` attribute.
  `headport` - The new (parsed) value of the `HEADPORT__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headport value is not supported.

### getHeadtooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getHeadtooltipRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `HEADTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADTOOLTIP__E` attribute.
Returns:
  The (raw) value of the `HEADTOOLTIP__E` attribute of the given `Edge`.

### setHeadtooltipRaw

public static void setHeadtooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID headtooltip)
Sets the (raw) value of the `HEADTOOLTIP__E` attribute of the given `Edge` to the given headtooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADTOOLTIP__E` attribute.
  `headtooltip` - The new (raw) value of the `HEADTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headtooltip value is not supported.

### getHeadtooltip

public static String getHeadtooltip(org.eclipse.gef.graph.Edge edge)
Returns the value of the `HEADTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADTOOLTIP__E` attribute.
Returns:
  The value of the `HEADTOOLTIP__E` attribute of the given `Edge`.

### setHeadtooltip

public static void setHeadtooltip(org.eclipse.gef.graph.Edge edge, String headtooltip)
Sets the value of the `HEADTOOLTIP__E` attribute of the given `Edge` to the given headtooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADTOOLTIP__E` attribute.
  `headtooltip` - The new value of the `HEADTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headtooltip value is not supported.

### getHeadtooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getHeadtooltipParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `HEADTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `HEADTOOLTIP__E` attribute.
Returns:
  The (parsed) value of the `HEADTOOLTIP__E` attribute of the given `Edge`.

### setHeadtooltipParsed

public static void setHeadtooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString headtooltip)
Sets the (parsed) value of the `HEADTOOLTIP__E` attribute of the given `Edge` to the given headtooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `HEADTOOLTIP__E` attribute.
  `headtooltip` - The new (parsed) value of the `HEADTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given headtooltip value is not supported.

### getHeightRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getHeightRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `HEIGHT__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `HEIGHT__N` attribute.
Returns:
  The (raw) value of the `HEIGHT__N` attribute of the given `Node`.

### setHeightRaw

public static void setHeightRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID height)
Sets the (raw) value of the `HEIGHT__N` attribute of the given `Node` to the given height value.

Parameters:
  `node` - The `Node` for which to change the value of the `HEIGHT__N` attribute.
  `height` - The new (raw) value of the `HEIGHT__N` attribute.
Throws:
  `IllegalArgumentException` - when the given height value is not supported.

### getHeight

public static String getHeight(org.eclipse.gef.graph.Node node)
Returns the value of the `HEIGHT__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `HEIGHT__N` attribute.
Returns:
  The value of the `HEIGHT__N` attribute of the given `Node`.

### setHeight

public static void setHeight(org.eclipse.gef.graph.Node node, String height)
Sets the value of the `HEIGHT__N` attribute of the given `Node` to the given height value.

Parameters:
  `node` - The `Node` for which to change the value of the `HEIGHT__N` attribute.
  `height` - The new value of the `HEIGHT__N` attribute.
Throws:
  `IllegalArgumentException` - when the given height value is not supported.

### getHeightParsed

public static Double getHeightParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `HEIGHT__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `HEIGHT__N` attribute.
Returns:
  The (parsed) value of the `HEIGHT__N` attribute of the given `Node`.

### setHeightParsed

public static void setHeightParsed(org.eclipse.gef.graph.Node node, Double height)
Sets the (parsed) value of the `HEIGHT__N` attribute of the given `Node` to the given height value.

Parameters:
  `node` - The `Node` for which to change the value of the `HEIGHT__N` attribute.
  `height` - The new (parsed) value of the `HEIGHT__N` attribute.
Throws:
  `IllegalArgumentException` - when the given height value is not supported.

### getIdRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getIdRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `ID__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `ID__GCNE` attribute.
Returns:
  The (raw) value of the `ID__GCNE` attribute of the given `Graph`.

### setIdRaw

public static void setIdRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID id)
Sets the (raw) value of the `ID__GCNE` attribute of the given `Graph` to the given id value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `ID__GCNE` attribute.
  `id` - The new (raw) value of the `ID__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given id value is not supported.

### getId

public static String getId(org.eclipse.gef.graph.Graph graph)
Returns the value of the `ID__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `ID__GCNE` attribute.
Returns:
  The value of the `ID__GCNE` attribute of the given `Graph`.

### setId

public static void setId(org.eclipse.gef.graph.Graph graph, String id)
Sets the value of the `ID__GCNE` attribute of the given `Graph` to the given id value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `ID__GCNE` attribute.
  `id` - The new value of the `ID__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given id value is not supported.

### getIdRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getIdRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `ID__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `ID__GCNE` attribute.
Returns:
  The (raw) value of the `ID__GCNE` attribute of the given `Node`.

### setIdRaw

public static void setIdRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID id)
Sets the (raw) value of the `ID__GCNE` attribute of the given `Node` to the given id value.

Parameters:
  `node` - The `Node` for which to change the value of the `ID__GCNE` attribute.
  `id` - The new (raw) value of the `ID__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given id value is not supported.

### getId

public static String getId(org.eclipse.gef.graph.Node node)
Returns the value of the `ID__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `ID__GCNE` attribute.
Returns:
  The value of the `ID__GCNE` attribute of the given `Node`.

### setId

public static void setId(org.eclipse.gef.graph.Node node, String id)
Sets the value of the `ID__GCNE` attribute of the given `Node` to the given id value.

Parameters:
  `node` - The `Node` for which to change the value of the `ID__GCNE` attribute.
  `id` - The new value of the `ID__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given id value is not supported.

### getIdRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getIdRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `ID__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ID__GCNE` attribute.
Returns:
  The (raw) value of the `ID__GCNE` attribute of the given `Edge`.

### setIdRaw

public static void setIdRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID id)
Sets the (raw) value of the `ID__GCNE` attribute of the given `Edge` to the given id value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ID__GCNE` attribute.
  `id` - The new (raw) value of the `ID__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given id value is not supported.

### getId

public static String getId(org.eclipse.gef.graph.Edge edge)
Returns the value of the `ID__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `ID__GCNE` attribute.
Returns:
  The value of the `ID__GCNE` attribute of the given `Edge`.

### setId

public static void setId(org.eclipse.gef.graph.Edge edge, String id)
Sets the value of the `ID__GCNE` attribute of the given `Edge` to the given id value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `ID__GCNE` attribute.
  `id` - The new value of the `ID__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given id value is not supported.

### getLabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabelRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `LABEL__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LABEL__GCNE` attribute.
Returns:
  The (raw) value of the `LABEL__GCNE` attribute of the given `Graph`.

### setLabelRaw

public static void setLabelRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID label)
Sets the (raw) value of the `LABEL__GCNE` attribute of the given `Graph` to the given label value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LABEL__GCNE` attribute.
  `label` - The new (raw) value of the `LABEL__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given label value is not supported.

### getLabel

public static String getLabel(org.eclipse.gef.graph.Graph graph)
Returns the value of the `LABEL__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LABEL__GCNE` attribute.
Returns:
  The value of the `LABEL__GCNE` attribute of the given `Graph`.

### setLabel

public static void setLabel(org.eclipse.gef.graph.Graph graph, String label)
Sets the value of the `LABEL__GCNE` attribute of the given `Graph` to the given label value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LABEL__GCNE` attribute.
  `label` - The new value of the `LABEL__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given label value is not supported.

### getLabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabelRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `LABEL__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `LABEL__GCNE` attribute.
Returns:
  The (raw) value of the `LABEL__GCNE` attribute of the given `Node`.

### setLabelRaw

public static void setLabelRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID label)
Sets the (raw) value of the `LABEL__GCNE` attribute of the given `Node` to the given label value.

Parameters:
  `node` - The `Node` for which to change the value of the `LABEL__GCNE` attribute.
  `label` - The new (raw) value of the `LABEL__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given label value is not supported.

### getLabel

public static String getLabel(org.eclipse.gef.graph.Node node)
Returns the value of the `LABEL__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `LABEL__GCNE` attribute.
Returns:
  The value of the `LABEL__GCNE` attribute of the given `Node`.

### setLabel

public static void setLabel(org.eclipse.gef.graph.Node node, String label)
Sets the value of the `LABEL__GCNE` attribute of the given `Node` to the given label value.

Parameters:
  `node` - The `Node` for which to change the value of the `LABEL__GCNE` attribute.
  `label` - The new value of the `LABEL__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given label value is not supported.

### getLabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabelRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `LABEL__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABEL__GCNE` attribute.
Returns:
  The (raw) value of the `LABEL__GCNE` attribute of the given `Edge`.

### setLabelRaw

public static void setLabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID label)
Sets the (raw) value of the `LABEL__GCNE` attribute of the given `Edge` to the given label value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABEL__GCNE` attribute.
  `label` - The new (raw) value of the `LABEL__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given label value is not supported.

### getLabel

public static String getLabel(org.eclipse.gef.graph.Edge edge)
Returns the value of the `LABEL__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABEL__GCNE` attribute.
Returns:
  The value of the `LABEL__GCNE` attribute of the given `Edge`.

### setLabel

public static void setLabel(org.eclipse.gef.graph.Edge edge, String label)
Sets the value of the `LABEL__GCNE` attribute of the given `Edge` to the given label value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABEL__GCNE` attribute.
  `label` - The new value of the `LABEL__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given label value is not supported.

### getLabelfontcolorRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabelfontcolorRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTCOLOR__E` attribute.
Returns:
  The (raw) value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.

### setLabelfontcolorRaw

public static void setLabelfontcolorRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labelfontcolor)
Sets the (raw) value of the `LABELFONTCOLOR__E` attribute of the given `Edge` to the given labelfontcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTCOLOR__E` attribute.
  `labelfontcolor` - The new (raw) value of the `LABELFONTCOLOR__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontcolor value is not supported.

### getLabelfontcolor

public static String getLabelfontcolor(org.eclipse.gef.graph.Edge edge)
Returns the value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTCOLOR__E` attribute.
Returns:
  The value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.

### setLabelfontcolor

public static void setLabelfontcolor(org.eclipse.gef.graph.Edge edge, String labelfontcolor)
Sets the value of the `LABELFONTCOLOR__E` attribute of the given `Edge` to the given labelfontcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTCOLOR__E` attribute.
  `labelfontcolor` - The new value of the `LABELFONTCOLOR__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontcolor value is not supported.

### getLabelfontcolorParsed

public static org.eclipse.gef.dot.internal.language.color.Color getLabelfontcolorParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTCOLOR__E` attribute.
Returns:
  The (parsed) value of the `LABELFONTCOLOR__E` attribute of the given `Edge`.

### setLabelfontcolorParsed

public static void setLabelfontcolorParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.color.Color labelfontcolor)
Sets the (parsed) value of the `LABELFONTCOLOR__E` attribute of the given `Edge` to the given labelfontcolor value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTCOLOR__E` attribute.
  `labelfontcolor` - The new (parsed) value of the `LABELFONTCOLOR__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontcolor value is not supported.

### getLabelfontnameRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabelfontnameRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `LABELFONTNAME__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTNAME__E` attribute.
Returns:
  The (raw) value of the `LABELFONTNAME__E` attribute of the given `Edge`.

### setLabelfontnameRaw

public static void setLabelfontnameRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labelfontname)
Sets the (raw) value of the `LABELFONTNAME__E` attribute of the given `Edge` to the given labelfontname value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTNAME__E` attribute.
  `labelfontname` - The new (raw) value of the `LABELFONTNAME__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontname value is not supported.

### getLabelfontname

public static String getLabelfontname(org.eclipse.gef.graph.Edge edge)
Returns the value of the `LABELFONTNAME__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTNAME__E` attribute.
Returns:
  The value of the `LABELFONTNAME__E` attribute of the given `Edge`.

### setLabelfontname

public static void setLabelfontname(org.eclipse.gef.graph.Edge edge, String labelfontname)
Sets the value of the `LABELFONTNAME__E` attribute of the given `Edge` to the given labelfontname value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTNAME__E` attribute.
  `labelfontname` - The new value of the `LABELFONTNAME__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontname value is not supported.

### getLabelfontnameParsed

public static org.eclipse.gef.dot.internal.language.fontname.FontName getLabelfontnameParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `LABELFONTNAME__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTNAME__E` attribute.
Returns:
  The (parsed) value of the `LABELFONTNAME__E` attribute of the given `Edge`.

### setLabelfontnameParsed

public static void setLabelfontnameParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.fontname.FontName labelfontname)
Sets the (parsed) value of the `LABELFONTNAME__E` attribute of the given `Edge` to the given labelfontname value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTNAME__E` attribute.
  `labelfontname` - The new (parsed) value of the `LABELFONTNAME__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontname value is not supported.

### getLabelfontsizeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabelfontsizeRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `LABELFONTSIZE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTSIZE__E` attribute.
Returns:
  The (raw) value of the `LABELFONTSIZE__E` attribute of the given `Edge`.

### setLabelfontsizeRaw

public static void setLabelfontsizeRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labelfontsize)
Sets the (raw) value of the `LABELFONTSIZE__E` attribute of the given `Edge` to the given labelfontsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTSIZE__E` attribute.
  `labelfontsize` - The new (raw) value of the `LABELFONTSIZE__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontsize value is not supported.

### getLabelfontsize

public static String getLabelfontsize(org.eclipse.gef.graph.Edge edge)
Returns the value of the `LABELFONTSIZE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTSIZE__E` attribute.
Returns:
  The value of the `LABELFONTSIZE__E` attribute of the given `Edge`.

### setLabelfontsize

public static void setLabelfontsize(org.eclipse.gef.graph.Edge edge, String labelfontsize)
Sets the value of the `LABELFONTSIZE__E` attribute of the given `Edge` to the given labelfontsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTSIZE__E` attribute.
  `labelfontsize` - The new value of the `LABELFONTSIZE__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontsize value is not supported.

### getLabelfontsizeParsed

public static Double getLabelfontsizeParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `LABELFONTSIZE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELFONTSIZE__E` attribute.
Returns:
  The (parsed) value of the `LABELFONTSIZE__E` attribute of the given `Edge`.

### setLabelfontsizeParsed

public static void setLabelfontsizeParsed(org.eclipse.gef.graph.Edge edge, Double labelfontsize)
Sets the (parsed) value of the `LABELFONTSIZE__E` attribute of the given `Edge` to the given labelfontsize value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELFONTSIZE__E` attribute.
  `labelfontsize` - The new (parsed) value of the `LABELFONTSIZE__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labelfontsize value is not supported.

### getLabeltooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLabeltooltipRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `LABELTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELTOOLTIP__E` attribute.
Returns:
  The (raw) value of the `LABELTOOLTIP__E` attribute of the given `Edge`.

### setLabeltooltipRaw

public static void setLabeltooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID labeltooltip)
Sets the (raw) value of the `LABELTOOLTIP__E` attribute of the given `Edge` to the given labeltooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELTOOLTIP__E` attribute.
  `labeltooltip` - The new (raw) value of the `LABELTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labeltooltip value is not supported.

### getLabeltooltip

public static String getLabeltooltip(org.eclipse.gef.graph.Edge edge)
Returns the value of the `LABELTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELTOOLTIP__E` attribute.
Returns:
  The value of the `LABELTOOLTIP__E` attribute of the given `Edge`.

### setLabeltooltip

public static void setLabeltooltip(org.eclipse.gef.graph.Edge edge, String labeltooltip)
Sets the value of the `LABELTOOLTIP__E` attribute of the given `Edge` to the given labeltooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELTOOLTIP__E` attribute.
  `labeltooltip` - The new value of the `LABELTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labeltooltip value is not supported.

### getLabeltooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getLabeltooltipParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `LABELTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LABELTOOLTIP__E` attribute.
Returns:
  The (parsed) value of the `LABELTOOLTIP__E` attribute of the given `Edge`.

### setLabeltooltipParsed

public static void setLabeltooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString labeltooltip)
Sets the (parsed) value of the `LABELTOOLTIP__E` attribute of the given `Edge` to the given labeltooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LABELTOOLTIP__E` attribute.
  `labeltooltip` - The new (parsed) value of the `LABELTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given labeltooltip value is not supported.

### getLayoutRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLayoutRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `LAYOUT__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LAYOUT__G` attribute.
Returns:
  The (raw) value of the `LAYOUT__G` attribute of the given `Graph`.

### setLayoutRaw

public static void setLayoutRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID layout)
Sets the (raw) value of the `LAYOUT__G` attribute of the given `Graph` to the given layout value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LAYOUT__G` attribute.
  `layout` - The new (raw) value of the `LAYOUT__G` attribute.
Throws:
  `IllegalArgumentException` - when the given layout value is not supported.

### getLayout

public static String getLayout(org.eclipse.gef.graph.Graph graph)
Returns the value of the `LAYOUT__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LAYOUT__G` attribute.
Returns:
  The value of the `LAYOUT__G` attribute of the given `Graph`.

### setLayout

public static void setLayout(org.eclipse.gef.graph.Graph graph, String layout)
Sets the value of the `LAYOUT__G` attribute of the given `Graph` to the given layout value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LAYOUT__G` attribute.
  `layout` - The new value of the `LAYOUT__G` attribute.
Throws:
  `IllegalArgumentException` - when the given layout value is not supported.

### getLayoutParsed

public static org.eclipse.gef.dot.internal.language.layout.Layout getLayoutParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `LAYOUT__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LAYOUT__G` attribute.
Returns:
  The (parsed) value of the `LAYOUT__G` attribute of the given `Graph`.

### setLayoutParsed

public static void setLayoutParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.layout.Layout layout)
Sets the (parsed) value of the `LAYOUT__G` attribute of the given `Graph` to the given layout value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LAYOUT__G` attribute.
  `layout` - The new (parsed) value of the `LAYOUT__G` attribute.
Throws:
  `IllegalArgumentException` - when the given layout value is not supported.

### getLpRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLpRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `LP__GCE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LP__GCE` attribute.
Returns:
  The (raw) value of the `LP__GCE` attribute of the given `Graph`.

### setLpRaw

public static void setLpRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID lp)
Sets the (raw) value of the `LP__GCE` attribute of the given `Graph` to the given lp value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LP__GCE` attribute.
  `lp` - The new (raw) value of the `LP__GCE` attribute.
Throws:
  `IllegalArgumentException` - when the given lp value is not supported.

### getLp

public static String getLp(org.eclipse.gef.graph.Graph graph)
Returns the value of the `LP__GCE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LP__GCE` attribute.
Returns:
  The value of the `LP__GCE` attribute of the given `Graph`.

### setLp

public static void setLp(org.eclipse.gef.graph.Graph graph, String lp)
Sets the value of the `LP__GCE` attribute of the given `Graph` to the given lp value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LP__GCE` attribute.
  `lp` - The new value of the `LP__GCE` attribute.
Throws:
  `IllegalArgumentException` - when the given lp value is not supported.

### getLpParsed

public static org.eclipse.gef.dot.internal.language.point.Point getLpParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `LP__GCE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `LP__GCE` attribute.
Returns:
  The (parsed) value of the `LP__GCE` attribute of the given `Graph`.

### setLpParsed

public static void setLpParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.point.Point lp)
Sets the (parsed) value of the `LP__GCE` attribute of the given `Graph` to the given lp value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `LP__GCE` attribute.
  `lp` - The new (parsed) value of the `LP__GCE` attribute.
Throws:
  `IllegalArgumentException` - when the given lp value is not supported.

### getLpRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getLpRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `LP__GCE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LP__GCE` attribute.
Returns:
  The (raw) value of the `LP__GCE` attribute of the given `Edge`.

### setLpRaw

public static void setLpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID lp)
Sets the (raw) value of the `LP__GCE` attribute of the given `Edge` to the given lp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LP__GCE` attribute.
  `lp` - The new (raw) value of the `LP__GCE` attribute.
Throws:
  `IllegalArgumentException` - when the given lp value is not supported.

### getLp

public static String getLp(org.eclipse.gef.graph.Edge edge)
Returns the value of the `LP__GCE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LP__GCE` attribute.
Returns:
  The value of the `LP__GCE` attribute of the given `Edge`.

### setLp

public static void setLp(org.eclipse.gef.graph.Edge edge, String lp)
Sets the value of the `LP__GCE` attribute of the given `Edge` to the given lp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LP__GCE` attribute.
  `lp` - The new value of the `LP__GCE` attribute.
Throws:
  `IllegalArgumentException` - when the given lp value is not supported.

### getLpParsed

public static org.eclipse.gef.dot.internal.language.point.Point getLpParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `LP__GCE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `LP__GCE` attribute.
Returns:
  The (parsed) value of the `LP__GCE` attribute of the given `Edge`.

### setLpParsed

public static void setLpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point lp)
Sets the (parsed) value of the `LP__GCE` attribute of the given `Edge` to the given lp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `LP__GCE` attribute.
  `lp` - The new (parsed) value of the `LP__GCE` attribute.
Throws:
  `IllegalArgumentException` - when the given lp value is not supported.

### getNodesepRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getNodesepRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `NODESEP__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `NODESEP__G` attribute.
Returns:
  The (raw) value of the `NODESEP__G` attribute of the given `Graph`.

### setNodesepRaw

public static void setNodesepRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID nodesep)
Sets the (raw) value of the `NODESEP__G` attribute of the given `Graph` to the given nodesep value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `NODESEP__G` attribute.
  `nodesep` - The new (raw) value of the `NODESEP__G` attribute.
Throws:
  `IllegalArgumentException` - when the given nodesep value is not supported.

### getNodesep

public static String getNodesep(org.eclipse.gef.graph.Graph graph)
Returns the value of the `NODESEP__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `NODESEP__G` attribute.
Returns:
  The value of the `NODESEP__G` attribute of the given `Graph`.

### setNodesep

public static void setNodesep(org.eclipse.gef.graph.Graph graph, String nodesep)
Sets the value of the `NODESEP__G` attribute of the given `Graph` to the given nodesep value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `NODESEP__G` attribute.
  `nodesep` - The new value of the `NODESEP__G` attribute.
Throws:
  `IllegalArgumentException` - when the given nodesep value is not supported.

### getNodesepParsed

public static Double getNodesepParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `NODESEP__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `NODESEP__G` attribute.
Returns:
  The (parsed) value of the `NODESEP__G` attribute of the given `Graph`.

### setNodesepParsed

public static void setNodesepParsed(org.eclipse.gef.graph.Graph graph, Double nodesep)
Sets the (parsed) value of the `NODESEP__G` attribute of the given `Graph` to the given nodesep value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `NODESEP__G` attribute.
  `nodesep` - The new (parsed) value of the `NODESEP__G` attribute.
Throws:
  `IllegalArgumentException` - when the given nodesep value is not supported.

### getOutputorderRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getOutputorderRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `OUTPUTORDER__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `OUTPUTORDER__G` attribute.
Returns:
  The (raw) value of the `OUTPUTORDER__G` attribute of the given `Graph`.

### setOutputorderRaw

public static void setOutputorderRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID outputorder)
Sets the (raw) value of the `OUTPUTORDER__G` attribute of the given `Graph` to the given outputorder value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `OUTPUTORDER__G` attribute.
  `outputorder` - The new (raw) value of the `OUTPUTORDER__G` attribute.
Throws:
  `IllegalArgumentException` - when the given outputorder value is not supported.

### getOutputorder

public static String getOutputorder(org.eclipse.gef.graph.Graph graph)
Returns the value of the `OUTPUTORDER__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `OUTPUTORDER__G` attribute.
Returns:
  The value of the `OUTPUTORDER__G` attribute of the given `Graph`.

### setOutputorder

public static void setOutputorder(org.eclipse.gef.graph.Graph graph, String outputorder)
Sets the value of the `OUTPUTORDER__G` attribute of the given `Graph` to the given outputorder value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `OUTPUTORDER__G` attribute.
  `outputorder` - The new value of the `OUTPUTORDER__G` attribute.
Throws:
  `IllegalArgumentException` - when the given outputorder value is not supported.

### getOutputorderParsed

public static org.eclipse.gef.dot.internal.language.outputmode.OutputMode getOutputorderParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `OUTPUTORDER__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `OUTPUTORDER__G` attribute.
Returns:
  The (parsed) value of the `OUTPUTORDER__G` attribute of the given `Graph`.

### setOutputorderParsed

public static void setOutputorderParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.outputmode.OutputMode outputorder)
Sets the (parsed) value of the `OUTPUTORDER__G` attribute of the given `Graph` to the given outputorder value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `OUTPUTORDER__G` attribute.
  `outputorder` - The new (parsed) value of the `OUTPUTORDER__G` attribute.
Throws:
  `IllegalArgumentException` - when the given outputorder value is not supported.

### getPagedirRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getPagedirRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `PAGEDIR__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `PAGEDIR__G` attribute.
Returns:
  The (raw) value of the `PAGEDIR__G` attribute of the given `Graph`.

### setPagedirRaw

public static void setPagedirRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID pagedir)
Sets the (raw) value of the `PAGEDIR__G` attribute of the given `Graph` to the given pagedir value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `PAGEDIR__G` attribute.
  `pagedir` - The new (raw) value of the `PAGEDIR__G` attribute.
Throws:
  `IllegalArgumentException` - when the given pagedir value is not supported.

### getPagedir

public static String getPagedir(org.eclipse.gef.graph.Graph graph)
Returns the value of the `PAGEDIR__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `PAGEDIR__G` attribute.
Returns:
  The value of the `PAGEDIR__G` attribute of the given `Graph`.

### setPagedir

public static void setPagedir(org.eclipse.gef.graph.Graph graph, String pagedir)
Sets the value of the `PAGEDIR__G` attribute of the given `Graph` to the given pagedir value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `PAGEDIR__G` attribute.
  `pagedir` - The new value of the `PAGEDIR__G` attribute.
Throws:
  `IllegalArgumentException` - when the given pagedir value is not supported.

### getPagedirParsed

public static org.eclipse.gef.dot.internal.language.pagedir.Pagedir getPagedirParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `PAGEDIR__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `PAGEDIR__G` attribute.
Returns:
  The (parsed) value of the `PAGEDIR__G` attribute of the given `Graph`.

### setPagedirParsed

public static void setPagedirParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.pagedir.Pagedir pagedir)
Sets the (parsed) value of the `PAGEDIR__G` attribute of the given `Graph` to the given pagedir value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `PAGEDIR__G` attribute.
  `pagedir` - The new (parsed) value of the `PAGEDIR__G` attribute.
Throws:
  `IllegalArgumentException` - when the given pagedir value is not supported.

### getPenwidthRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getPenwidthRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `PENWIDTH__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The (raw) value of the `PENWIDTH__CNE` attribute of the given `Graph`.

### setPenwidthRaw

public static void setPenwidthRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID penwidth)
Sets the (raw) value of the `PENWIDTH__CNE` attribute of the given `Graph` to the given penwidth value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new (raw) value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidth

public static String getPenwidth(org.eclipse.gef.graph.Graph graph)
Returns the value of the `PENWIDTH__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The value of the `PENWIDTH__CNE` attribute of the given `Graph`.

### setPenwidth

public static void setPenwidth(org.eclipse.gef.graph.Graph graph, String penwidth)
Sets the value of the `PENWIDTH__CNE` attribute of the given `Graph` to the given penwidth value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidthParsed

public static Double getPenwidthParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The (parsed) value of the `PENWIDTH__CNE` attribute of the given `Graph`.

### setPenwidthParsed

public static void setPenwidthParsed(org.eclipse.gef.graph.Graph graph, Double penwidth)
Sets the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Graph` to the given penwidth value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new (parsed) value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidthRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getPenwidthRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `PENWIDTH__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The (raw) value of the `PENWIDTH__CNE` attribute of the given `Node`.

### setPenwidthRaw

public static void setPenwidthRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID penwidth)
Sets the (raw) value of the `PENWIDTH__CNE` attribute of the given `Node` to the given penwidth value.

Parameters:
  `node` - The `Node` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new (raw) value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidth

public static String getPenwidth(org.eclipse.gef.graph.Node node)
Returns the value of the `PENWIDTH__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The value of the `PENWIDTH__CNE` attribute of the given `Node`.

### setPenwidth

public static void setPenwidth(org.eclipse.gef.graph.Node node, String penwidth)
Sets the value of the `PENWIDTH__CNE` attribute of the given `Node` to the given penwidth value.

Parameters:
  `node` - The `Node` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidthParsed

public static Double getPenwidthParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The (parsed) value of the `PENWIDTH__CNE` attribute of the given `Node`.

### setPenwidthParsed

public static void setPenwidthParsed(org.eclipse.gef.graph.Node node, Double penwidth)
Sets the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Node` to the given penwidth value.

Parameters:
  `node` - The `Node` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new (parsed) value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidthRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getPenwidthRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `PENWIDTH__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The (raw) value of the `PENWIDTH__CNE` attribute of the given `Edge`.

### setPenwidthRaw

public static void setPenwidthRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID penwidth)
Sets the (raw) value of the `PENWIDTH__CNE` attribute of the given `Edge` to the given penwidth value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new (raw) value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidth

public static String getPenwidth(org.eclipse.gef.graph.Edge edge)
Returns the value of the `PENWIDTH__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The value of the `PENWIDTH__CNE` attribute of the given `Edge`.

### setPenwidth

public static void setPenwidth(org.eclipse.gef.graph.Edge edge, String penwidth)
Sets the value of the `PENWIDTH__CNE` attribute of the given `Edge` to the given penwidth value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPenwidthParsed

public static Double getPenwidthParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `PENWIDTH__CNE` attribute.
Returns:
  The (parsed) value of the `PENWIDTH__CNE` attribute of the given `Edge`.

### setPenwidthParsed

public static void setPenwidthParsed(org.eclipse.gef.graph.Edge edge, Double penwidth)
Sets the (parsed) value of the `PENWIDTH__CNE` attribute of the given `Edge` to the given penwidth value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `PENWIDTH__CNE` attribute.
  `penwidth` - The new (parsed) value of the `PENWIDTH__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given penwidth value is not supported.

### getPosRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getPosRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `POS__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `POS__NE` attribute.
Returns:
  The (raw) value of the `POS__NE` attribute of the given `Node`.

### setPosRaw

public static void setPosRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID pos)
Sets the (raw) value of the `POS__NE` attribute of the given `Node` to the given pos value.

Parameters:
  `node` - The `Node` for which to change the value of the `POS__NE` attribute.
  `pos` - The new (raw) value of the `POS__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given pos value is not supported.

### getPos

public static String getPos(org.eclipse.gef.graph.Node node)
Returns the value of the `POS__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `POS__NE` attribute.
Returns:
  The value of the `POS__NE` attribute of the given `Node`.

### setPos

public static void setPos(org.eclipse.gef.graph.Node node, String pos)
Sets the value of the `POS__NE` attribute of the given `Node` to the given pos value.

Parameters:
  `node` - The `Node` for which to change the value of the `POS__NE` attribute.
  `pos` - The new value of the `POS__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given pos value is not supported.

### getPosParsed

public static org.eclipse.gef.dot.internal.language.point.Point getPosParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `POS__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `POS__NE` attribute.
Returns:
  The (parsed) value of the `POS__NE` attribute of the given `Node`.

### setPosParsed

public static void setPosParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.point.Point pos)
Sets the (parsed) value of the `POS__NE` attribute of the given `Node` to the given pos value.

Parameters:
  `node` - The `Node` for which to change the value of the `POS__NE` attribute.
  `pos` - The new (parsed) value of the `POS__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given pos value is not supported.

### getPosRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getPosRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `POS__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `POS__NE` attribute.
Returns:
  The (raw) value of the `POS__NE` attribute of the given `Edge`.

### setPosRaw

public static void setPosRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID pos)
Sets the (raw) value of the `POS__NE` attribute of the given `Edge` to the given pos value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `POS__NE` attribute.
  `pos` - The new (raw) value of the `POS__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given pos value is not supported.

### getPos

public static String getPos(org.eclipse.gef.graph.Edge edge)
Returns the value of the `POS__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `POS__NE` attribute.
Returns:
  The value of the `POS__NE` attribute of the given `Edge`.

### setPos

public static void setPos(org.eclipse.gef.graph.Edge edge, String pos)
Sets the value of the `POS__NE` attribute of the given `Edge` to the given pos value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `POS__NE` attribute.
  `pos` - The new value of the `POS__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given pos value is not supported.

### getPosParsed

public static org.eclipse.gef.dot.internal.language.splinetype.SplineType getPosParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `POS__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `POS__NE` attribute.
Returns:
  The (parsed) value of the `POS__NE` attribute of the given `Edge`.

### setPosParsed

public static void setPosParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.splinetype.SplineType pos)
Sets the (parsed) value of the `POS__NE` attribute of the given `Edge` to the given pos value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `POS__NE` attribute.
  `pos` - The new (parsed) value of the `POS__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given pos value is not supported.

### getRankRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getRankRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `RANK__S` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `RANK__S` attribute.
Returns:
  The (raw) value of the `RANK__S` attribute of the given `Graph`.

### setRankRaw

public static void setRankRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID rank)
Sets the (raw) value of the `RANK__S` attribute of the given `Graph` to the given rank value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `RANK__S` attribute.
  `rank` - The new (raw) value of the `RANK__S` attribute.
Throws:
  `IllegalArgumentException` - when the given rank value is not supported.

### getRank

public static String getRank(org.eclipse.gef.graph.Graph graph)
Returns the value of the `RANK__S` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `RANK__S` attribute.
Returns:
  The value of the `RANK__S` attribute of the given `Graph`.

### setRank

public static void setRank(org.eclipse.gef.graph.Graph graph, String rank)
Sets the value of the `RANK__S` attribute of the given `Graph` to the given rank value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `RANK__S` attribute.
  `rank` - The new value of the `RANK__S` attribute.
Throws:
  `IllegalArgumentException` - when the given rank value is not supported.

### getRankParsed

public static org.eclipse.gef.dot.internal.language.ranktype.RankType getRankParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `RANK__S` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `RANK__S` attribute.
Returns:
  The (parsed) value of the `RANK__S` attribute of the given `Graph`.

### setRankParsed

public static void setRankParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.ranktype.RankType rank)
Sets the (parsed) value of the `RANK__S` attribute of the given `Graph` to the given rank value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `RANK__S` attribute.
  `rank` - The new (parsed) value of the `RANK__S` attribute.
Throws:
  `IllegalArgumentException` - when the given rank value is not supported.

### getRankdirRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getRankdirRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `RANKDIR__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `RANKDIR__G` attribute.
Returns:
  The (raw) value of the `RANKDIR__G` attribute of the given `Graph`.

### setRankdirRaw

public static void setRankdirRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID rankdir)
Sets the (raw) value of the `RANKDIR__G` attribute of the given `Graph` to the given rankdir value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `RANKDIR__G` attribute.
  `rankdir` - The new (raw) value of the `RANKDIR__G` attribute.
Throws:
  `IllegalArgumentException` - when the given rankdir value is not supported.

### getRankdir

public static String getRankdir(org.eclipse.gef.graph.Graph graph)
Returns the value of the `RANKDIR__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `RANKDIR__G` attribute.
Returns:
  The value of the `RANKDIR__G` attribute of the given `Graph`.

### setRankdir

public static void setRankdir(org.eclipse.gef.graph.Graph graph, String rankdir)
Sets the value of the `RANKDIR__G` attribute of the given `Graph` to the given rankdir value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `RANKDIR__G` attribute.
  `rankdir` - The new value of the `RANKDIR__G` attribute.
Throws:
  `IllegalArgumentException` - when the given rankdir value is not supported.

### getRankdirParsed

public static org.eclipse.gef.dot.internal.language.rankdir.Rankdir getRankdirParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `RANKDIR__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `RANKDIR__G` attribute.
Returns:
  The (parsed) value of the `RANKDIR__G` attribute of the given `Graph`.

### setRankdirParsed

public static void setRankdirParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.rankdir.Rankdir rankdir)
Sets the (parsed) value of the `RANKDIR__G` attribute of the given `Graph` to the given rankdir value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `RANKDIR__G` attribute.
  `rankdir` - The new (parsed) value of the `RANKDIR__G` attribute.
Throws:
  `IllegalArgumentException` - when the given rankdir value is not supported.

### getShapeRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getShapeRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `SHAPE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SHAPE__N` attribute.
Returns:
  The (raw) value of the `SHAPE__N` attribute of the given `Node`.

### setShapeRaw

public static void setShapeRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID shape)
Sets the (raw) value of the `SHAPE__N` attribute of the given `Node` to the given shape value.

Parameters:
  `node` - The `Node` for which to change the value of the `SHAPE__N` attribute.
  `shape` - The new (raw) value of the `SHAPE__N` attribute.
Throws:
  `IllegalArgumentException` - when the given shape value is not supported.

### getShape

public static String getShape(org.eclipse.gef.graph.Node node)
Returns the value of the `SHAPE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SHAPE__N` attribute.
Returns:
  The value of the `SHAPE__N` attribute of the given `Node`.

### setShape

public static void setShape(org.eclipse.gef.graph.Node node, String shape)
Sets the value of the `SHAPE__N` attribute of the given `Node` to the given shape value.

Parameters:
  `node` - The `Node` for which to change the value of the `SHAPE__N` attribute.
  `shape` - The new value of the `SHAPE__N` attribute.
Throws:
  `IllegalArgumentException` - when the given shape value is not supported.

### getShapeParsed

public static org.eclipse.gef.dot.internal.language.shape.Shape getShapeParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `SHAPE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SHAPE__N` attribute.
Returns:
  The (parsed) value of the `SHAPE__N` attribute of the given `Node`.

### setShapeParsed

public static void setShapeParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.shape.Shape shape)
Sets the (parsed) value of the `SHAPE__N` attribute of the given `Node` to the given shape value.

Parameters:
  `node` - The `Node` for which to change the value of the `SHAPE__N` attribute.
  `shape` - The new (parsed) value of the `SHAPE__N` attribute.
Throws:
  `IllegalArgumentException` - when the given shape value is not supported.

### getSidesRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getSidesRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `SIDES__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SIDES__N` attribute.
Returns:
  The (raw) value of the `SIDES__N` attribute of the given `Node`.

### setSidesRaw

public static void setSidesRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID sides)
Sets the (raw) value of the `SIDES__N` attribute of the given `Node` to the given sides value.

Parameters:
  `node` - The `Node` for which to change the value of the `SIDES__N` attribute.
  `sides` - The new (raw) value of the `SIDES__N` attribute.
Throws:
  `IllegalArgumentException` - when the given sides value is not supported.

### getSides

public static String getSides(org.eclipse.gef.graph.Node node)
Returns the value of the `SIDES__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SIDES__N` attribute.
Returns:
  The value of the `SIDES__N` attribute of the given `Node`.

### setSides

public static void setSides(org.eclipse.gef.graph.Node node, String sides)
Sets the value of the `SIDES__N` attribute of the given `Node` to the given sides value.

Parameters:
  `node` - The `Node` for which to change the value of the `SIDES__N` attribute.
  `sides` - The new value of the `SIDES__N` attribute.
Throws:
  `IllegalArgumentException` - when the given sides value is not supported.

### getSidesParsed

public static Integer getSidesParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `SIDES__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SIDES__N` attribute.
Returns:
  The (parsed) value of the `SIDES__N` attribute of the given `Node`.

### setSidesParsed

public static void setSidesParsed(org.eclipse.gef.graph.Node node, Integer sides)
Sets the (parsed) value of the `SIDES__N` attribute of the given `Node` to the given sides value.

Parameters:
  `node` - The `Node` for which to change the value of the `SIDES__N` attribute.
  `sides` - The new (parsed) value of the `SIDES__N` attribute.
Throws:
  `IllegalArgumentException` - when the given sides value is not supported.

### getSkewRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getSkewRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `SKEW__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SKEW__N` attribute.
Returns:
  The (raw) value of the `SKEW__N` attribute of the given `Node`.

### setSkewRaw

public static void setSkewRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID skew)
Sets the (raw) value of the `SKEW__N` attribute of the given `Node` to the given skew value.

Parameters:
  `node` - The `Node` for which to change the value of the `SKEW__N` attribute.
  `skew` - The new (raw) value of the `SKEW__N` attribute.
Throws:
  `IllegalArgumentException` - when the given skew value is not supported.

### getSkew

public static String getSkew(org.eclipse.gef.graph.Node node)
Returns the value of the `SKEW__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SKEW__N` attribute.
Returns:
  The value of the `SKEW__N` attribute of the given `Node`.

### setSkew

public static void setSkew(org.eclipse.gef.graph.Node node, String skew)
Sets the value of the `SKEW__N` attribute of the given `Node` to the given skew value.

Parameters:
  `node` - The `Node` for which to change the value of the `SKEW__N` attribute.
  `skew` - The new value of the `SKEW__N` attribute.
Throws:
  `IllegalArgumentException` - when the given skew value is not supported.

### getSkewParsed

public static Double getSkewParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `SKEW__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `SKEW__N` attribute.
Returns:
  The (parsed) value of the `SKEW__N` attribute of the given `Node`.

### setSkewParsed

public static void setSkewParsed(org.eclipse.gef.graph.Node node, Double skew)
Sets the (parsed) value of the `SKEW__N` attribute of the given `Node` to the given skew value.

Parameters:
  `node` - The `Node` for which to change the value of the `SKEW__N` attribute.
  `skew` - The new (parsed) value of the `SKEW__N` attribute.
Throws:
  `IllegalArgumentException` - when the given skew value is not supported.

### getSplinesRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getSplinesRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `SPLINES__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `SPLINES__G` attribute.
Returns:
  The (raw) value of the `SPLINES__G` attribute of the given `Graph`.

### setSplinesRaw

public static void setSplinesRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID splines)
Sets the (raw) value of the `SPLINES__G` attribute of the given `Graph` to the given splines value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `SPLINES__G` attribute.
  `splines` - The new (raw) value of the `SPLINES__G` attribute.
Throws:
  `IllegalArgumentException` - when the given splines value is not supported.

### getSplines

public static String getSplines(org.eclipse.gef.graph.Graph graph)
Returns the value of the `SPLINES__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `SPLINES__G` attribute.
Returns:
  The value of the `SPLINES__G` attribute of the given `Graph`.

### setSplines

public static void setSplines(org.eclipse.gef.graph.Graph graph, String splines)
Sets the value of the `SPLINES__G` attribute of the given `Graph` to the given splines value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `SPLINES__G` attribute.
  `splines` - The new value of the `SPLINES__G` attribute.
Throws:
  `IllegalArgumentException` - when the given splines value is not supported.

### getSplinesParsed

public static org.eclipse.gef.dot.internal.language.splines.Splines getSplinesParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `SPLINES__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `SPLINES__G` attribute.
Returns:
  The (parsed) value of the `SPLINES__G` attribute of the given `Graph`.

### setSplinesParsed

public static void setSplinesParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.splines.Splines splines)
Sets the (parsed) value of the `SPLINES__G` attribute of the given `Graph` to the given splines value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `SPLINES__G` attribute.
  `splines` - The new (parsed) value of the `SPLINES__G` attribute.
Throws:
  `IllegalArgumentException` - when the given splines value is not supported.

### getStyleRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getStyleRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `STYLE__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The (raw) value of the `STYLE__GCNE` attribute of the given `Graph`.

### setStyleRaw

public static void setStyleRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID style)
Sets the (raw) value of the `STYLE__GCNE` attribute of the given `Graph` to the given style value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new (raw) value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyle

public static String getStyle(org.eclipse.gef.graph.Graph graph)
Returns the value of the `STYLE__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The value of the `STYLE__GCNE` attribute of the given `Graph`.

### setStyle

public static void setStyle(org.eclipse.gef.graph.Graph graph, String style)
Sets the value of the `STYLE__GCNE` attribute of the given `Graph` to the given style value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyleParsed

public static org.eclipse.gef.dot.internal.language.style.Style getStyleParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `STYLE__GCNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The (parsed) value of the `STYLE__GCNE` attribute of the given `Graph`.

### setStyleParsed

public static void setStyleParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.style.Style style)
Sets the (parsed) value of the `STYLE__GCNE` attribute of the given `Graph` to the given style value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new (parsed) value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyleRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getStyleRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `STYLE__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The (raw) value of the `STYLE__GCNE` attribute of the given `Node`.

### setStyleRaw

public static void setStyleRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID style)
Sets the (raw) value of the `STYLE__GCNE` attribute of the given `Node` to the given style value.

Parameters:
  `node` - The `Node` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new (raw) value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyle

public static String getStyle(org.eclipse.gef.graph.Node node)
Returns the value of the `STYLE__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The value of the `STYLE__GCNE` attribute of the given `Node`.

### setStyle

public static void setStyle(org.eclipse.gef.graph.Node node, String style)
Sets the value of the `STYLE__GCNE` attribute of the given `Node` to the given style value.

Parameters:
  `node` - The `Node` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyleParsed

public static org.eclipse.gef.dot.internal.language.style.Style getStyleParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `STYLE__GCNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The (parsed) value of the `STYLE__GCNE` attribute of the given `Node`.

### setStyleParsed

public static void setStyleParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.style.Style style)
Sets the (parsed) value of the `STYLE__GCNE` attribute of the given `Node` to the given style value.

Parameters:
  `node` - The `Node` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new (parsed) value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyleRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getStyleRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `STYLE__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The (raw) value of the `STYLE__GCNE` attribute of the given `Edge`.

### setStyleRaw

public static void setStyleRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID style)
Sets the (raw) value of the `STYLE__GCNE` attribute of the given `Edge` to the given style value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new (raw) value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyle

public static String getStyle(org.eclipse.gef.graph.Edge edge)
Returns the value of the `STYLE__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The value of the `STYLE__GCNE` attribute of the given `Edge`.

### setStyle

public static void setStyle(org.eclipse.gef.graph.Edge edge, String style)
Sets the value of the `STYLE__GCNE` attribute of the given `Edge` to the given style value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getStyleParsed

public static org.eclipse.gef.dot.internal.language.style.Style getStyleParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `STYLE__GCNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `STYLE__GCNE` attribute.
Returns:
  The (parsed) value of the `STYLE__GCNE` attribute of the given `Edge`.

### setStyleParsed

public static void setStyleParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.style.Style style)
Sets the (parsed) value of the `STYLE__GCNE` attribute of the given `Edge` to the given style value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `STYLE__GCNE` attribute.
  `style` - The new (parsed) value of the `STYLE__GCNE` attribute.
Throws:
  `IllegalArgumentException` - when the given style value is not supported.

### getTailLpRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTailLpRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `TAIL_LP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAIL_LP__E` attribute.
Returns:
  The (raw) value of the `TAIL_LP__E` attribute of the given `Edge`.

### setTailLpRaw

public static void setTailLpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tailLp)
Sets the (raw) value of the `TAIL_LP__E` attribute of the given `Edge` to the given tailLp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAIL_LP__E` attribute.
  `tailLp` - The new (raw) value of the `TAIL_LP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailLp value is not supported.

### getTailLp

public static String getTailLp(org.eclipse.gef.graph.Edge edge)
Returns the value of the `TAIL_LP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAIL_LP__E` attribute.
Returns:
  The value of the `TAIL_LP__E` attribute of the given `Edge`.

### setTailLp

public static void setTailLp(org.eclipse.gef.graph.Edge edge, String tailLp)
Sets the value of the `TAIL_LP__E` attribute of the given `Edge` to the given tailLp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAIL_LP__E` attribute.
  `tailLp` - The new value of the `TAIL_LP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailLp value is not supported.

### getTailLpParsed

public static org.eclipse.gef.dot.internal.language.point.Point getTailLpParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `TAIL_LP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAIL_LP__E` attribute.
Returns:
  The (parsed) value of the `TAIL_LP__E` attribute of the given `Edge`.

### setTailLpParsed

public static void setTailLpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point tailLp)
Sets the (parsed) value of the `TAIL_LP__E` attribute of the given `Edge` to the given tailLp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAIL_LP__E` attribute.
  `tailLp` - The new (parsed) value of the `TAIL_LP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailLp value is not supported.

### getTaillabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTaillabelRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `TAILLABEL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILLABEL__E` attribute.
Returns:
  The (raw) value of the `TAILLABEL__E` attribute of the given `Edge`.

### setTaillabelRaw

public static void setTaillabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID taillabel)
Sets the (raw) value of the `TAILLABEL__E` attribute of the given `Edge` to the given taillabel value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILLABEL__E` attribute.
  `taillabel` - The new (raw) value of the `TAILLABEL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given taillabel value is not supported.

### getTaillabel

public static String getTaillabel(org.eclipse.gef.graph.Edge edge)
Returns the value of the `TAILLABEL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILLABEL__E` attribute.
Returns:
  The value of the `TAILLABEL__E` attribute of the given `Edge`.

### setTaillabel

public static void setTaillabel(org.eclipse.gef.graph.Edge edge, String taillabel)
Sets the value of the `TAILLABEL__E` attribute of the given `Edge` to the given taillabel value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILLABEL__E` attribute.
  `taillabel` - The new value of the `TAILLABEL__E` attribute.
Throws:
  `IllegalArgumentException` - when the given taillabel value is not supported.

### getTailportRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTailportRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `TAILPORT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILPORT__E` attribute.
Returns:
  The (raw) value of the `TAILPORT__E` attribute of the given `Edge`.

### setTailportRaw

public static void setTailportRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tailport)
Sets the (raw) value of the `TAILPORT__E` attribute of the given `Edge` to the given tailport value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILPORT__E` attribute.
  `tailport` - The new (raw) value of the `TAILPORT__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailport value is not supported.

### getTailport

public static String getTailport(org.eclipse.gef.graph.Edge edge)
Returns the value of the `TAILPORT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILPORT__E` attribute.
Returns:
  The value of the `TAILPORT__E` attribute of the given `Edge`.

### setTailport

public static void setTailport(org.eclipse.gef.graph.Edge edge, String tailport)
Sets the value of the `TAILPORT__E` attribute of the given `Edge` to the given tailport value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILPORT__E` attribute.
  `tailport` - The new value of the `TAILPORT__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailport value is not supported.

### getTailportParsed

public static org.eclipse.gef.dot.internal.language.portpos.PortPos getTailportParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `TAILPORT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILPORT__E` attribute.
Returns:
  The (parsed) value of the `TAILPORT__E` attribute of the given `Edge`.

### setTailportParsed

public static void setTailportParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.portpos.PortPos tailport)
Sets the (parsed) value of the `TAILPORT__E` attribute of the given `Edge` to the given tailport value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILPORT__E` attribute.
  `tailport` - The new (parsed) value of the `TAILPORT__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailport value is not supported.

### getTailtooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTailtooltipRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `TAILTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILTOOLTIP__E` attribute.
Returns:
  The (raw) value of the `TAILTOOLTIP__E` attribute of the given `Edge`.

### setTailtooltipRaw

public static void setTailtooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tailtooltip)
Sets the (raw) value of the `TAILTOOLTIP__E` attribute of the given `Edge` to the given tailtooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILTOOLTIP__E` attribute.
  `tailtooltip` - The new (raw) value of the `TAILTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailtooltip value is not supported.

### getTailtooltip

public static String getTailtooltip(org.eclipse.gef.graph.Edge edge)
Returns the value of the `TAILTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILTOOLTIP__E` attribute.
Returns:
  The value of the `TAILTOOLTIP__E` attribute of the given `Edge`.

### setTailtooltip

public static void setTailtooltip(org.eclipse.gef.graph.Edge edge, String tailtooltip)
Sets the value of the `TAILTOOLTIP__E` attribute of the given `Edge` to the given tailtooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILTOOLTIP__E` attribute.
  `tailtooltip` - The new value of the `TAILTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailtooltip value is not supported.

### getTailtooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getTailtooltipParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `TAILTOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TAILTOOLTIP__E` attribute.
Returns:
  The (parsed) value of the `TAILTOOLTIP__E` attribute of the given `Edge`.

### setTailtooltipParsed

public static void setTailtooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString tailtooltip)
Sets the (parsed) value of the `TAILTOOLTIP__E` attribute of the given `Edge` to the given tailtooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TAILTOOLTIP__E` attribute.
  `tailtooltip` - The new (parsed) value of the `TAILTOOLTIP__E` attribute.
Throws:
  `IllegalArgumentException` - when the given tailtooltip value is not supported.

### getTooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTooltipRaw(org.eclipse.gef.graph.Graph graph)
Returns the (raw) value of the `TOOLTIP__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The (raw) value of the `TOOLTIP__CNE` attribute of the given `Graph`.

### setTooltipRaw

public static void setTooltipRaw(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.terminals.ID tooltip)
Sets the (raw) value of the `TOOLTIP__CNE` attribute of the given `Graph` to the given tooltip value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new (raw) value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltip

public static String getTooltip(org.eclipse.gef.graph.Graph graph)
Returns the value of the `TOOLTIP__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The value of the `TOOLTIP__CNE` attribute of the given `Graph`.

### setTooltip

public static void setTooltip(org.eclipse.gef.graph.Graph graph, String tooltip)
Sets the value of the `TOOLTIP__CNE` attribute of the given `Graph` to the given tooltip value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getTooltipParsed(org.eclipse.gef.graph.Graph graph)
Returns the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The (parsed) value of the `TOOLTIP__CNE` attribute of the given `Graph`.

### setTooltipParsed

public static void setTooltipParsed(org.eclipse.gef.graph.Graph graph, org.eclipse.gef.dot.internal.language.escstring.EscString tooltip)
Sets the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Graph` to the given tooltip value.

Parameters:
  `graph` - The `Graph` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new (parsed) value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTooltipRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `TOOLTIP__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The (raw) value of the `TOOLTIP__CNE` attribute of the given `Node`.

### setTooltipRaw

public static void setTooltipRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID tooltip)
Sets the (raw) value of the `TOOLTIP__CNE` attribute of the given `Node` to the given tooltip value.

Parameters:
  `node` - The `Node` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new (raw) value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltip

public static String getTooltip(org.eclipse.gef.graph.Node node)
Returns the value of the `TOOLTIP__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The value of the `TOOLTIP__CNE` attribute of the given `Node`.

### setTooltip

public static void setTooltip(org.eclipse.gef.graph.Node node, String tooltip)
Sets the value of the `TOOLTIP__CNE` attribute of the given `Node` to the given tooltip value.

Parameters:
  `node` - The `Node` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getTooltipParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The (parsed) value of the `TOOLTIP__CNE` attribute of the given `Node`.

### setTooltipParsed

public static void setTooltipParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.escstring.EscString tooltip)
Sets the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Node` to the given tooltip value.

Parameters:
  `node` - The `Node` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new (parsed) value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltipRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getTooltipRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `TOOLTIP__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The (raw) value of the `TOOLTIP__CNE` attribute of the given `Edge`.

### setTooltipRaw

public static void setTooltipRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID tooltip)
Sets the (raw) value of the `TOOLTIP__CNE` attribute of the given `Edge` to the given tooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new (raw) value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltip

public static String getTooltip(org.eclipse.gef.graph.Edge edge)
Returns the value of the `TOOLTIP__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The value of the `TOOLTIP__CNE` attribute of the given `Edge`.

### setTooltip

public static void setTooltip(org.eclipse.gef.graph.Edge edge, String tooltip)
Sets the value of the `TOOLTIP__CNE` attribute of the given `Edge` to the given tooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getTooltipParsed

public static org.eclipse.gef.dot.internal.language.escstring.EscString getTooltipParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `TOOLTIP__CNE` attribute.
Returns:
  The (parsed) value of the `TOOLTIP__CNE` attribute of the given `Edge`.

### setTooltipParsed

public static void setTooltipParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.escstring.EscString tooltip)
Sets the (parsed) value of the `TOOLTIP__CNE` attribute of the given `Edge` to the given tooltip value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `TOOLTIP__CNE` attribute.
  `tooltip` - The new (parsed) value of the `TOOLTIP__CNE` attribute.
Throws:
  `IllegalArgumentException` - when the given tooltip value is not supported.

### getWidthRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getWidthRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `WIDTH__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `WIDTH__N` attribute.
Returns:
  The (raw) value of the `WIDTH__N` attribute of the given `Node`.

### setWidthRaw

public static void setWidthRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID width)
Sets the (raw) value of the `WIDTH__N` attribute of the given `Node` to the given width value.

Parameters:
  `node` - The `Node` for which to change the value of the `WIDTH__N` attribute.
  `width` - The new (raw) value of the `WIDTH__N` attribute.
Throws:
  `IllegalArgumentException` - when the given width value is not supported.

### getWidth

public static String getWidth(org.eclipse.gef.graph.Node node)
Returns the value of the `WIDTH__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `WIDTH__N` attribute.
Returns:
  The value of the `WIDTH__N` attribute of the given `Node`.

### setWidth

public static void setWidth(org.eclipse.gef.graph.Node node, String width)
Sets the value of the `WIDTH__N` attribute of the given `Node` to the given width value.

Parameters:
  `node` - The `Node` for which to change the value of the `WIDTH__N` attribute.
  `width` - The new value of the `WIDTH__N` attribute.
Throws:
  `IllegalArgumentException` - when the given width value is not supported.

### getWidthParsed

public static Double getWidthParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `WIDTH__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `WIDTH__N` attribute.
Returns:
  The (parsed) value of the `WIDTH__N` attribute of the given `Node`.

### setWidthParsed

public static void setWidthParsed(org.eclipse.gef.graph.Node node, Double width)
Sets the (parsed) value of the `WIDTH__N` attribute of the given `Node` to the given width value.

Parameters:
  `node` - The `Node` for which to change the value of the `WIDTH__N` attribute.
  `width` - The new (parsed) value of the `WIDTH__N` attribute.
Throws:
  `IllegalArgumentException` - when the given width value is not supported.

### getXlabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getXlabelRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `XLABEL__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `XLABEL__NE` attribute.
Returns:
  The (raw) value of the `XLABEL__NE` attribute of the given `Node`.

### setXlabelRaw

public static void setXlabelRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID xlabel)
Sets the (raw) value of the `XLABEL__NE` attribute of the given `Node` to the given xlabel value.

Parameters:
  `node` - The `Node` for which to change the value of the `XLABEL__NE` attribute.
  `xlabel` - The new (raw) value of the `XLABEL__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlabel value is not supported.

### getXlabel

public static String getXlabel(org.eclipse.gef.graph.Node node)
Returns the value of the `XLABEL__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `XLABEL__NE` attribute.
Returns:
  The value of the `XLABEL__NE` attribute of the given `Node`.

### setXlabel

public static void setXlabel(org.eclipse.gef.graph.Node node, String xlabel)
Sets the value of the `XLABEL__NE` attribute of the given `Node` to the given xlabel value.

Parameters:
  `node` - The `Node` for which to change the value of the `XLABEL__NE` attribute.
  `xlabel` - The new value of the `XLABEL__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlabel value is not supported.

### getXlabelRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getXlabelRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `XLABEL__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `XLABEL__NE` attribute.
Returns:
  The (raw) value of the `XLABEL__NE` attribute of the given `Edge`.

### setXlabelRaw

public static void setXlabelRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID xlabel)
Sets the (raw) value of the `XLABEL__NE` attribute of the given `Edge` to the given xlabel value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `XLABEL__NE` attribute.
  `xlabel` - The new (raw) value of the `XLABEL__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlabel value is not supported.

### getXlabel

public static String getXlabel(org.eclipse.gef.graph.Edge edge)
Returns the value of the `XLABEL__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `XLABEL__NE` attribute.
Returns:
  The value of the `XLABEL__NE` attribute of the given `Edge`.

### setXlabel

public static void setXlabel(org.eclipse.gef.graph.Edge edge, String xlabel)
Sets the value of the `XLABEL__NE` attribute of the given `Edge` to the given xlabel value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `XLABEL__NE` attribute.
  `xlabel` - The new value of the `XLABEL__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlabel value is not supported.

### getXlpRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getXlpRaw(org.eclipse.gef.graph.Node node)
Returns the (raw) value of the `XLP__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `XLP__NE` attribute.
Returns:
  The (raw) value of the `XLP__NE` attribute of the given `Node`.

### setXlpRaw

public static void setXlpRaw(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.terminals.ID xlp)
Sets the (raw) value of the `XLP__NE` attribute of the given `Node` to the given xlp value.

Parameters:
  `node` - The `Node` for which to change the value of the `XLP__NE` attribute.
  `xlp` - The new (raw) value of the `XLP__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlp value is not supported.

### getXlp

public static String getXlp(org.eclipse.gef.graph.Node node)
Returns the value of the `XLP__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `XLP__NE` attribute.
Returns:
  The value of the `XLP__NE` attribute of the given `Node`.

### setXlp

public static void setXlp(org.eclipse.gef.graph.Node node, String xlp)
Sets the value of the `XLP__NE` attribute of the given `Node` to the given xlp value.

Parameters:
  `node` - The `Node` for which to change the value of the `XLP__NE` attribute.
  `xlp` - The new value of the `XLP__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlp value is not supported.

### getXlpParsed

public static org.eclipse.gef.dot.internal.language.point.Point getXlpParsed(org.eclipse.gef.graph.Node node)
Returns the (parsed) value of the `XLP__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of the `XLP__NE` attribute.
Returns:
  The (parsed) value of the `XLP__NE` attribute of the given `Node`.

### setXlpParsed

public static void setXlpParsed(org.eclipse.gef.graph.Node node, org.eclipse.gef.dot.internal.language.point.Point xlp)
Sets the (parsed) value of the `XLP__NE` attribute of the given `Node` to the given xlp value.

Parameters:
  `node` - The `Node` for which to change the value of the `XLP__NE` attribute.
  `xlp` - The new (parsed) value of the `XLP__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlp value is not supported.

### getXlpRaw

public static org.eclipse.gef.dot.internal.language.terminals.ID getXlpRaw(org.eclipse.gef.graph.Edge edge)
Returns the (raw) value of the `XLP__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `XLP__NE` attribute.
Returns:
  The (raw) value of the `XLP__NE` attribute of the given `Edge`.

### setXlpRaw

public static void setXlpRaw(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.terminals.ID xlp)
Sets the (raw) value of the `XLP__NE` attribute of the given `Edge` to the given xlp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `XLP__NE` attribute.
  `xlp` - The new (raw) value of the `XLP__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlp value is not supported.

### getXlp

public static String getXlp(org.eclipse.gef.graph.Edge edge)
Returns the value of the `XLP__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `XLP__NE` attribute.
Returns:
  The value of the `XLP__NE` attribute of the given `Edge`.

### setXlp

public static void setXlp(org.eclipse.gef.graph.Edge edge, String xlp)
Sets the value of the `XLP__NE` attribute of the given `Edge` to the given xlp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `XLP__NE` attribute.
  `xlp` - The new value of the `XLP__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlp value is not supported.

### getXlpParsed

public static org.eclipse.gef.dot.internal.language.point.Point getXlpParsed(org.eclipse.gef.graph.Edge edge)
Returns the (parsed) value of the `XLP__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of the `XLP__NE` attribute.
Returns:
  The (parsed) value of the `XLP__NE` attribute of the given `Edge`.

### setXlpParsed

public static void setXlpParsed(org.eclipse.gef.graph.Edge edge, org.eclipse.gef.dot.internal.language.point.Point xlp)
Sets the (parsed) value of the `XLP__NE` attribute of the given `Edge` to the given xlp value.

Parameters:
  `edge` - The `Edge` for which to change the value of the `XLP__NE` attribute.
  `xlp` - The new (parsed) value of the `XLP__NE` attribute.
Throws:
  `IllegalArgumentException` - when the given xlp value is not supported.